Name: appinstall
Version: 1.4.4
Release: alt1
Summary: GUI frontend for install third-party applications

License: GPL-3.0+
Group: System/Configuration/Packaging
URL: http://www.altlinux.org

Source0: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-macros-qt6
BuildRequires(pre): libpam-devel
BuildRequires: gcc-c++
BuildRequires: qt6-tools
BuildRequires: python3-module-PyQt6

Requires: eepm

%description
GUI frontend for install third-party applications using epm play.

%prep
# For translators:
# 1. Install eepm
# 2. make make LUPDATE=lupdate-qt6 LRELEASE=lrelease-qt6 update_translations all clean
# 3. subst '/oldsource/d' *.ts
# 4. Translate appinstall_ru.ts in kde5-lokalize
# 5. Commit strings.cpp and *.ts
%setup -q

%build
export PATH=$PATH:%_qt6_bindir
%make_build

%install
%makeinstall_std

%files
%_bindir/%name
%_sbindir/%name
%dir %_sysconfdir/%name
%dir %_sysconfdir/%name/allow.d
%dir %_datadir/%name/
%_datadir/%name/*
%_pixmapsdir/%name.svg
%_desktopdir/%name.desktop
%config(noreplace) %_sysconfdir/pam.d/%name
%config(noreplace) %_sysconfdir/security/console.apps/%name

%changelog
