Name: cplay-ng
Version: 5.3.1
Release: alt1

Summary: A simple curses audio player
License: GPL-2.0
Group: Sound
Url: https://pypi.org/project/cplay-ng/
Vcs: https://github.com/xi/cplay-ng.git

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

Requires: mpv

%description
cplay is a minimalist music player with a textual user interface written
in Python. It aims to provide a power-user-friendly interface with simple
filelist and playlist control.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc AUTHORS ChangeLog README.* LICENSE
%_bindir/*
%python3_sitelibdir/*


%changelog
