Name: dav1d
Version: 1.4.3
Release: alt1
%define soversion 7

Summary: AV1 cross-platform Decoder
License: BSD
Group: Video

Url: https://code.videolan.org/videolan/dav1d
VCS: https://code.videolan.org/videolan/dav1d.git/
Source: %name-%version.tar
BuildRequires: gcc
BuildRequires: nasm
BuildRequires: doxygen
BuildRequires: meson >= 0.47.0

%description
dav1d is a new AV1 cross-platform Decoder, open-source, and focused on speed
and correctness.

%package -n libdav1d_%soversion
Group: Video
Summary: Library files for dav1d

%description -n libdav1d_%soversion
Library files for dav1d, the AV1 cross-platform Decoder.

%package -n libdav1d-devel
Group: Video
Summary: Development files for dav1d
Requires: libdav1d_%soversion = %EVR

%description -n libdav1d-devel
Development files for dav1d, the AV1 cross-platform Decoder.

%prep
%setup

%build
%meson

%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc COPYING doc/PATENTS
%doc CONTRIBUTING.md NEWS README.md
%_bindir/dav1d

%files -n libdav1d_%soversion
%doc COPYING doc/PATENTS
%_libdir/libdav1d.so.%soversion
%_libdir/libdav1d.so.%soversion.*

%files -n libdav1d-devel
#doc %_target_platform/doc/html
%_includedir/%name
%_libdir/libdav1d.so
%_pkgconfigdir/%name.pc

%changelog
