Name: emonoda
Version: 2.1.37
Release: alt2

Summary: The set of tools to organize and management of your torrents

Group: File tools
License: GPLv3
Url: https://github.com/mdevaev/emonoda

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: https://github.com/mdevaev/emonoda/archive/v%version.tar.gz
Source: %name-%version.tar

Patch: 57712274c38a2a696463d3e5c6f8cadd3c9e7e63.patch

Provides: rtfetch
Obsoletes: rtfetch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-chardet python3-module-setuptools
BuildRequires: python3-module-Cython

# missed by findreq...
Requires: python3-module-yaml

%description
The set of tools to organize and management of your torrents.

%prep
%setup
#autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

%files
%_bindir/emdiff
%_bindir/emfile
%_bindir/emfind
%_bindir/emload
%_bindir/emrm
%_bindir/emconfetti-demo
%_bindir/emconfetti-tghi
%_bindir/emupdate
%_bindir/emhook-rtorrent-collectd-stat
%_bindir/emhook-rtorrent-manage-trackers
%_bindir/emhook-transmission-redownload

%python3_sitelibdir/%name/
%python3_sitelibdir/%{pyproject_distinfo %name}/

%changelog
