Name: esptool
Version: 4.8.1
Release: alt1

Summary: Flasher for Espressif ESP8266 & ESP32 chips
License: GPLv2
Group: Development/Other
Url: https://github.com/espressif/esptool

BuildArch: noarch
BuildRequires: rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

Source: %name-%version-%release.tar

%description
A Python-based, open source, platform independent, utility to communicate with
the ROM bootloader in Espressif ESP8266 & ESP32 chips.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
for f in %buildroot%_bindir/*.py;
	do mv -v $f ${f%.py*}
done

%set_python3_req_method strict

%files
%doc LICENSE README.md
%_bindir/espefuse
%_bindir/espsecure
%_bindir/esptool
%_bindir/esp_rfc2217_server
%python3_sitelibdir/esp_rfc2217_server
%python3_sitelibdir/espefuse
%python3_sitelibdir/espsecure
%python3_sitelibdir/esptool
%python3_sitelibdir/esptool-%version.dist-info

%changelog
