%define oname fmt
%define sover 10

Name: %oname%sover
Version: 10.2.1
Release: alt2
Epoch: 1

Summary: An open-source formatting library for C++
License: BSD
Group: System/Legacy libraries
Url: http://fmtlib.net/

# https://github.com/fmtlib/%oname/archive/%version/%oname-%version.tar.gz
Source: %oname-%version.tar

BuildRequires: cmake ctest gcc-c++

%package -n lib%oname%sover
Summary: An open-source formatting library for C++
Group: System/Legacy libraries

%define desc fmt (formerly cppformat) is an open-source formatting library. \
It can be used as a fast and safe alternative to printf and IOStreams.

%description
fmt (formerly cppformat) is an open-source formatting library. \
It can be used as a fast and safe alternative to printf and IOStreams.

%description -n lib%oname%sover
%desc

%prep
%setup -n %oname-%version

%build
%cmake_insource \
	-DFMT_PKGCONFIG_DIR=%_pkgconfigdir \
	-DBUILD_SHARED_LIBS=ON \
	%nil

%make_build VERBOSE=1

%ifnarch %ix86
%check
export LD_LIBRARY_PATH=%buildroot%_libdir
make test
%endif

%install
%makeinstall_std

%__rm -rf %buildroot%_includedir/fmt
%__rm -rf %buildroot%_libdir/cmake
%__rm -rf %buildroot%_pkgconfigdir
%__rm -rf %buildroot%_libdir/libfmt.so

%files -n lib%oname%sover
%doc LICENSE* README*
%_libdir/libfmt.so.*

%changelog
