%define rname kde-file-actions-gost

Name: %rname
Version: 0.8.3
Release: alt1
%K5init

Group: Graphical desktop/KDE
Summary: Simple scripts to encrypt files
Url: https://git.altlinux.org/people/zerg/packages/kde5-file-actions-gost
License: GPL-2.0-or-later

Requires: kde5-kdialog /usr/bin/openssl
Provides:  kde5-file-actions-gost = %EVR
Obsoletes: kde5-file-actions-gost < %EVR

BuildArch: noarch

Source: %rname-%version.tar

# Automatically added by buildreq on Wed Dec 11 2019 (-bi)
# optimized out: python-modules python2-base python3 python3-base python3-dev python3-module-paste rpm-build-python3 sh4
#BuildRequires: python3-module-mpl_toolkits selinux-policy xdg-utils
BuildRequires(pre): rpm-build-kf5
BuildRequires: xdg-utils

%description
The package adds gost-grasshopper encryption to KDE file manager.

%prep
%setup -n %rname-%version

%build
%install
mkdir -p %buildroot/{%_K5bin,%_K5srv,%_datadir/kio/servicemenus}
install -m 0755 kde-* %buildroot/%_K5bin/
#install -m 0644 *.desktop %buildroot/%_K5srv/
install -m 0644 *.desktop %buildroot/%_datadir/kio/servicemenus/

# translations
find po/* -type d | \
while read d
do
    lang=`basename $d`
    mkdir -p %buildroot/%_K5i18n/$lang/LC_MESSAGES
    msgfmt -o %buildroot/%_K5i18n/$lang/LC_MESSAGES/%rname.mo $d/%rname.po
done
sed -i "s|@LOCALEDATADIR@|%_K5i18n|"  %buildroot/%_K5bin/kde-*crypt-*-gost

%find_lang %name --with-kde --all-name

%files -f %name.lang
%_K5bin/kde-*crypt-*-gost
#%_K5srv/*crypt-*-gost.desktop
%_datadir/kio/servicemenus/

%changelog
