%define rname ktouch

Name: %rname
Version: 24.08.2
Release: alt1
%K5init

Group: Education
Summary: A program for learning touch typing
Url: http://www.kde.org
License: GPL-2.0-or-later or LGPL-2.0-or-later

Requires: kqtquickcharts
Provides:  kde5-ktouch = %EVR
Obsoletes: kde5-ktouch < %EVR

Source: %rname-%version.tar

BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules
BuildRequires: qt5-declarative-devel qt5-script-devel qt5-x11extras-devel qt5-xmlpatterns-devel qt5-quickcontrols2-devel
BuildRequires: desktop-file-utils
BuildRequires: libXres-devel
BuildRequires: kf5-kcmutils-devel kf5-kcompletion-devel kf5-kdeclarative-devel kf5-kdelibs4support kf5-kdoctools-devel
BuildRequires: kf5-kitemviews-devel kf5-kpackage-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel
BuildRequires: kf5-kiconthemes-devel

%description
KTouch is a program for learning touch typing. KTouch is a way to learn
to type on a keyboard quickly and correctly. Every finger has its place
on the keyboard with associated keys to press.

KTouch helps you learn to touch typing by providing you with something
to write. KTouch can also help you to remember what fingers to use.

%prep
%setup -n %rname-%version

%build
%K5build \
    -DCOMPILE_QML=OFF \
    #

%install
%K5install
%K5install_move data ktouch
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%_K5bin/ktouch
%_K5xdgapp/org.kde.ktouch.desktop
%_K5icon/*/*/apps/ktouch.*
%_K5data/ktouch/
%_K5cfg/ktouch.kcfg
%_datadir/metainfo/*.xml

%changelog
