Name: libupnpp
Version: 0.26.7
Release: alt1

Summary: C++ wrapper for libupnp
License: LGPLv2.1
Group: System/Libraries
Url: http://www.lesbonscomptes.com/upmpdcli

Source: %name-%version-%release.tar

BuildRequires: gcc-c++ meson
BuildRequires: libcurl-devel libexpat-devel libnpupnp-devel >= 6.0

%description
libupnpp defines useful objects over libupnp and can be used
to create both devices and control points.
This package contains %name shared library

%package devel
Summary: C++ wrapper for libupnp
Group: Development/C++
Requires: %name = %version-%release
Requires: libupnp-devel

%description devel
libupnpp defines useful objects over libupnp and can be used
to create both devices and control points.
This package contains development part of %name

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/libupnpp
%_pkgconfigdir/libupnpp.pc

%changelog
