Name: livecd-setlocale
Version: 0.3.15
Release: alt1

Summary: Automatically set locale from /proc/cmdline
License: GPL-2.0-or-later
Group: System/Configuration/Other

Source: %name-%version.tar
BuildArch: noarch
# NB: alterator-sysconfig's kbd data is required
Requires: alterator-sysconfig

%description
Service to automatically set locale from /proc/cmdline
(when specified as e.g. lang=ru_RU).

%prep
%setup

%install
mkdir -p %buildroot{%prefix/libexec,%_initdir,%_unitdir}
install -pDm755 livecd-setlocale %buildroot%prefix/libexec/livecd-setlocale
install -pDm755 livecd-setlocale.init %buildroot%_initdir/livecd-setlocale
install -pDm644 livecd-setlocale.service %buildroot%_unitdir/livecd-setlocale.service

%preun
# would be an inconvenient %%ghost
rm -f %_sysconfdir/profile.d/00dconf-kbd.sh
%preun_service %name

%files 
%prefix/libexec/livecd-setlocale
%_initdir/livecd-setlocale
%_unitdir/livecd-setlocale.service

%changelog
