# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lximage-qt
Version: 2.1.0
Release: alt1

Summary: Image viewer and screenshot tool
License: LGPL-2.1
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lximage-qt
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: libXdmcp-devel libXfixes-devel libexif-devel
BuildRequires: liblxqt-devel >= 2.0.0
BuildRequires: qt6-base-devel qt6-tools-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: libfm-qt6-devel
BuildRequires: libmenu-cache-devel >= 0.5.0
BuildRequires: glib2-devel libpcre-devel

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_iconsdir/*/*/*/*
%_desktopdir/*.desktop
%_datadir/%name
%_datadir/metainfo/%name.metainfo.xml
%doc AUTHORS CHANGELOG README.md

%changelog
