Name: lxqt
Version: 2.1.0
Release: alt2
Summary: Meta package for install LxQt
Group: Graphical desktop/Other
License: GPL-2.0-or-later
Url: https://lxqt-project.org
BuildArch: noarch

%description
%summary.

%package mini
Summary: Meta package for install LxQt
Group: Graphical desktop/Other
BuildArch: noarch

# core componenets
Requires: lxqt-menu-data >= %version
Requires: lxqt-about >= %version
Requires: lxqt-themes >= %version
Requires: lxqt-globalkeys >= %version
Requires: lxqt-notificationd >= %version
Requires: lxqt-panel >= %version
Requires: lxqt-powermanagement >= %version
Requires: lxqt-qtplugin-qt6 >= %version
Requires: lxqt-qtplugin-qt5
Requires: lxqt-runner >= %version
Requires: lxqt-session >= %version
Requires: pcmanfm-qt >= %version
Requires: lxqt-config >= %version
Requires: qterminal >= %version
Requires: lxqt-policykit >= %version
# system configuration tools
Requires: lxqt-config >= %version
Requires: obconf-qt
# themes
Requires: icon-theme-oxygen
# system components
Requires: openbox-base openbox-autostart
# translations
Requires: qt6-translations
# screenshot
Requires: screengrab >= 2.9.0

%description mini
%summary.

%package regular
Summary: Meta package for install regular-lxqt
Group: Graphical desktop/Other
BuildArch: noarch

Requires: lxqt-mini
# sound mixer
Requires: pavucontrol-qt >= %version
# optional components
Requires: lxqt-openssh-askpass >= %version
Requires: lxqt-admin >= %version
# archiver
Requires: lxqt-archiver >= 1.1.0
# task-manager
Requires: qps >= 2.9.0
# clipboard history applet
Requires: qlipper
# fonts
Requires: fonts-ttf-core
# pdf-viewer
Requires: qpdfview
# image-viewer
Requires: lximage-qt >= %version
# themes for window manager
Requires: openbox-themes
# Graphical wrapper for su
Requires: lxqt-sudo >= %version
# xdg-desktop-portal
Requires: xdg-desktop-portal-lxqt >= 1.1.0
# safe desktop-wide storage for passwords
Requires: lxqt-wallet >= 4.0.0

%description regular
%summary.

%files mini
%files regular

%changelog
