# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-about
Version: 2.1.0
Release: alt1

Summary: About dialog of LXQt
License: LGPL-2.1-or-later
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-about
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: liblxqt-devel >= 2.0.0
BuildRequires: qt6-base-devel qt6-tools-devel
BuildRequires: libqt6xdg-devel
BuildRequires: kf6-kwindowsystem-devel

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_desktopdir/*.desktop
%_datadir/lxqt/translations/*
%_iconsdir/hicolor/scalable/apps/%name.svg
%doc AUTHORS CHANGELOG README.md

%changelog
