# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name:     lxqt-admin
Version:  2.1.0
Release:  alt1

Summary:  LXQt system administration tool
License:  LGPL-2.1
Group:    Graphical desktop/Other
Url:      https://github.com/lxqt/lxqt-admin

Source:   %name-%version.tar
Patch:    %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake
BuildRequires: qt6-base-devel
BuildRequires: qt6-tools-devel
BuildRequires: lxqt2-build-tools
BuildRequires: liblxqt-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: libpolkitqt6-qt6-devel

%description
%summary.

%prep
%setup
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_desktopdir/*
%_datadir/lxqt/translations/*
%_datadir/polkit-1/actions/*
%doc AUTHORS CHANGELOG *.md

%changelog
