# [for (x)emacs] -*-  mode: RPM-SPEC; coding: utf-8 -*-
Name: mac
Version: 7.09
Release: alt1

Summary: Monkey's Audio Codec
License: Distributable (see license.html)
Group: Sound

Url: http://www.monkeysaudio.com
Source0: %name-%version.zip
Source1: MAC-ALTLinux-permission.html
Source2: license.html

# Automatically added by buildreq on Sun Oct 03 2021
# optimized out: glibc-kernheaders-generic glibc-kernheaders-x86 libgpg-error libstdc++-devel python3-base sh4
BuildRequires: gcc-c++ unzip

%description
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

%package -n libmac
Summary: Monkey's Audio Codec shared libraries
Group: System/Libraries
%description -n libmac
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

This package contains shared libraries from
Monkey's Audio Codec SDK

%package -n libmac-devel
Summary: Headers from Monkey's Audio Codec SDK
Summary(ru_RU.UTF-8): Заголовочные файлы SDK кодека Monkey's Audio
Group: Development/C++
Requires: libmac = %version-%release

%description -n libmac-devel
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

This package contains header files from
Monkey's Audio Codec SDK

%prep
%setup -c
cp %SOURCE1 %SOURCE2 .
sed -i 's@(includedir)/MAC@(includedir)/mac@;s@libMAC@libmac@g' Source/Projects/NonWindows/Makefile
sed -i '1i#define PLATFORM_LINUX' Shared/All.h
sed -i '/\\\r*$/{N; s/\\\r*\n//}' Shared/All.h

%build
%make -f Source/Projects/NonWindows/Makefile libdir=%_libdir

%install
%makeinstall -f Source/Projects/NonWindows/Makefile libdir=%buildroot%_libdir

%files
%doc *html *txt
%_bindir/mac

%files -n libmac
%doc *html *txt
%_libdir/libmac.so.*

%files -n libmac-devel
%doc *html *txt
%_libdir/libmac.so
%_includedir/*

%changelog
