Name:     nudoku
Version:  5.0.0
Release:  alt1

Summary:  ncurses based sudoku game

License:  GPLv3
Group:    Games/Puzzles
URL:      http://jubalh.github.io/nudoku
VCS:      https://github.com/jubalh/nudoku

Packager: Grigory Ustinov <grenka@altlinux.org>

Source:   %name-%version.tar

BuildRequires: libncursesw-devel
BuildRequires: libcairo-devel

%description
Can't code? Can't hack? Can't do anything cool on the command line? This game
will give you an excuse to spend some time in the terminal nevertheless.

Be a cool kid, be in the terminal. Play nudoku!

As a bonus you will even learn the basic vi movement commands.

nudoku can also generate PDF files, containing sudokus.

%prep
%setup

%build
%autoreconf
%configure --enable-cairo
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc AUTHORS LICENSE README.md
%_bindir/%name
%_man6dir/%name.6.*

%changelog
