%define lwt_modules lwt,lwt_ppx,lwt_react
Name: ocaml-lwt
Version: 5.7.0
Release: alt4
Summary: OCaml lightweight thread library

Group: Development/ML
License: MIT
Url: http://ocsigen.org/lwt/
# https://github.com/ocsigen/lwt
Source: %name-%version.tar

BuildRequires:  ocaml-ocamldoc termutils ocaml-ssl ocaml-react-devel glib2-devel libev-devel chrpath
BuildRequires: dune ocaml-cppo ocaml-bisect_ppx-devel ocaml-ppxlib-devel ocaml-ocplib-endian-devel
BuildRequires: ocaml-result-devel
BuildRequires: ocaml-dune-configurator-devel ocaml-luv-devel
BuildRequires(pre): rpm-build-ocaml >= 1.6

%description
Lwt is a lightweight thread library for Objective Caml.  This library
is part of the Ocsigen project.

%package devel
Summary: Development files for %name
Group: Development/ML
Requires: %name = %EVR
Requires: ocaml-ocplib-endian-devel

%description devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup

%build
%dune_build -p %lwt_modules

%install
%dune_install `echo "%lwt_modules"|tr ',' ' '`

%check
%dune_check -p %lwt_modules

%files -f ocaml-files.runtime
%doc CHANGES README.md

%files devel -f ocaml-files.devel
%_libdir/ocaml/lwt/unix/*.h

%changelog
