Name: picolisp
Version: 24.9
Release: alt1

Summary: Interpreted Lisp
License: MIT
Group: Development/Lisp

Url: http://picolisp.com
Source: http://software-lab.de/picoLisp-%version.tgz
Source100: picolisp.watch



BuildRequires:  clang llvm-devel libreadline-devel libssl-devel libffi-devel
# 64-bit build bootstraps using 32-bit one or Java
#BuildRequires: java /proc
# armh-alt-linux-gnueabi-gcc: error: unrecognized command line option '-m32'; did you mean '-mbe32'?
ExcludeArch: armh %ix86

# trickery inside
%set_verify_elf_method textrel=none

# pretty much hardwired
#define _libdir %_usr/lib
#- undefine usrlib (Closes: #32231)

%description
PicoLisp can be viewed from two different aspects:
        as a general purpose programming language,
     and a dedicated application server framework.

%prep
%setup -n pil21

%build
# :)
#if [ %_lib = lib64 ]; then
cd src
#else
#	cd src
#fi
make
cd ..

%install
mkdir -p %buildroot{%_bindir,%_libdir/%name,%_datadir,%_man1dir}
cp -a bin/{picolisp,pil} %buildroot%_bindir/
# TODO: emacs subpackage
rm -rf lib/el
# lib/ and lib.l
cp -a lib* %buildroot%_libdir/%name/
# as per INSTALL
ln -s ../lib64/%name %buildroot%_datadir/%name
#ln -s ../lib64/%name %buildroot%_datadir/%name
cp man/man1/* %buildroot%_man1dir

%files
%doc README
%_bindir/*
%_libdir/%name/
%_datadir/%name/
%_man1dir/*

%changelog
