%define _unpackaged_files_terminate_build 1
%global __find_debuginfo_files %nil

Name: plasma-addon-alt-weather
Version: 2.0.0
Release: alt3

Group: Graphical desktop/KDE
Summary: KDE Workspace 6 Plasma weather addon
License: GPLv2+

Provides: kde5-plasma-addon-alt-weather = %EVR
Obsoletes: kde5-plasma-addon-alt-weather < %EVR

Source: %name-%version.tar

BuildRequires(pre): rpm-build-kf6
BuildRequires: extra-cmake-modules gcc-c++
BuildRequires: kf6-kdeclarative-devel
BuildRequires: plasma-workspace-devel
BuildRequires: libplasma6
BuildRequires: kf6-ki18n-devel
BuildRequires: kf6-kpackage-devel
BuildRequires: plasma6-plasma5support-devel
BuildRequires: plasma6-lib-devel

Requires: alt-identify-client

ExclusiveArch: x86_64 aarch64 %e2k

%description
The weather forecast addon for KDE Workspace 6 Plasma

%prep
%setup

%build
%K6build

%install
%K6install
%find_lang %name --all-name

%files -f %name.lang
%_K6plug/plasma5support/dataengine/*.so
%_K6qml/org/kde/plasma/alt/private/weather/
%_datadir/icons/hicolor/scalable/status/*
%_datadir/icons/breeze/status/64/*
%_datadir/icons/breeze-dark/status/64/*
%_datadir/plasma-addon-alt-weather/ya_logo/*
%_datadir/plasma/plasmoids/org.kde.plasma.alt.weather/
%_datadir/metainfo/*

%changelog
