%define _unpackaged_files_terminate_build 1

%define oname DateTime

%def_with check

Name: python3-module-%oname
Epoch: 1
Version: 5.5
Release: alt1

Summary: This package provides a DateTime data type, as known from Zope
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/DateTime/
VCS: https://github.com/zopefoundation/DateTime.git

Source0: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-zope.interface
BuildRequires: python3-module-pytz
%endif

%description
This package provides a DateTime data type, as known from Zope. Unless you need
to communicate with Zope APIs, you're probably better off using Python's
built-in datetime module.

%package tests
Summary: Tests for DateTime
Group: Development/Python3
Requires: %name = %EVR

%description tests
This package provides a DateTime data type, as known from Zope. Unless you need
to communicate with Zope APIs, you're probably better off using Python's
built-in datetime module.

This package contains tests for DateTime.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc *.txt *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/%oname/tests

%files tests
%python3_sitelibdir/%oname/tests

%changelog
