%define oname attr
%define newoname attrs
%define pkgname attrs

Name: python3-module-%pkgname
Version: 24.2.0
Release: alt2

Summary: Python attributes without boilerplate

License: MIT
Group: Development/Python3
Url: https://attrs.readthedocs.io

Source: %pkgname-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(hatchling)
BuildRequires: python3(hatch-fancy-pypi-readme)
BuildRequires: python3(hatch-vcs)
BuildRequires: git

%description
attrs is an MIT-licensed Python package with class decorators that ease the
chores of implementing the most common attribute-related object protocols.

%prep
%setup -n %pkgname-%version

%build
if [ ! -d .git ]; then
    git init
    git config user.email author@example.com
    git config user.name author
    git add .
    git commit -m 'release'
    git tag '%version'
fi
%pyproject_build

%install
%pyproject_install

%files
%doc CHANGELOG.md LICENSE README.md
%python3_sitelibdir/%oname/
%python3_sitelibdir/%newoname/
%python3_sitelibdir/%newoname-%version.dist-info/

%changelog
