%define oname cached-property
%define modname cached_property

%def_with check

Name: python3-module-%oname
Version: 2.0.1
Release: alt1

Summary: A decorator for caching properties in classes.

License: BSD-3-Clause
Group: Development/Python3
URL: https://pypi.org/project/cached-property
VCS: https://github.com/pydanny/cached-property

Source: %name-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-distribute

%if_with check
BuildRequires: python3-module-freezegun
%endif

%description
A decorator for caching properties in classes.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc LICENSE *.md
%python3_sitelibdir/%modname.*
%python3_sitelibdir/%modname-%version.dist-info
%python3_sitelibdir/__pycache__/*

%changelog
