%define _unpackaged_files_terminate_build 1
%global pypi_name croniter

%def_with check

Name: python3-module-%pypi_name
Version: 5.0.1
Release: alt1

Summary: Iteration for datetime object with cron like format
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/croniter/
VCS: http://github.com/kiorky/croniter

BuildArch: noarch

Source0: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
Croniter provides iteration for datetime object with cron like format.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile requirements/test.txt
%endif

# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%build
%pyproject_build

%install
%pyproject_install

%check
# TimezoneDateutil test fails, see https://bugzilla.altlinux.org/show_bug.cgi?id=39164
%pyproject_run_pytest -ra -k 'not testTimezoneDateutil'

%files
%doc README.rst
%python3_sitelibdir/croniter/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
