%define _unpackaged_files_terminate_build 1

%global oname ddt
%def_with check

Name: python3-module-ddt
Version: 1.7.2
Release: alt1

Summary: A Python library to multiply test cases

Group: Development/Python3
License: MIT
URL: https://pypi.org/project/ddt
VCS: https://github.com/datadriventests/ddt

Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3(tox)
BuildRequires: python3(tox_console_scripts)
BuildRequires: python3(tox_no_deps)
BuildRequires: python3(yaml)
BuildRequires: python3(aiounittest)
%endif

%description
DDT (Data-Driven Tests) allows you to multiply one test case by running it with
different test data, and make it appear as multiple test cases.  It is used in
combination with other testing frameworks like unittest and nose.

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc README.md
%python3_sitelibdir/%oname.py
%python3_sitelibdir/%oname-%version.dist-info
%python3_sitelibdir/__pycache__

%changelog
