Name: python3-module-frozenlist
Version: 1.5.0
Release: alt1

Summary: A list-like structure which implements collections.abc.MutableSequence 
License: Apache-2.0
Group: Development/Python
Url: https://github.com/aio-libs/frozenlist

Source0: %name-%version-%release.tar

BuildRequires: rpm-build-pyproject
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(cython)
BuildRequires: python3(expandvars)
BuildRequires: python3(pytest)
BuildRequires: python3(pytest-cov)

%description
%summary

%prep
%setup
# use system cython
sed -i '/^cythonize:/ s,.install-cython,,' Makefile

%build
make cythonize
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest tests

%files
%python3_sitelibdir/frozenlist
%python3_sitelibdir/frozenlist-%version.dist-info

%changelog
