%define  oname glymur
%def_with check

Name:    python3-module-%oname
Version: 0.13.6
Release: alt1

Summary: Python interface to OpenJPEG library for reading and writing JPEG 2000 images

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/Glymur
VCS:     https://github.com/quintusdias/glymur

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-numpy
BuildRequires: python3-module-numpy-testing
BuildRequires: python3-module-lxml
BuildRequires: python3-module-scikit-image
%endif

BuildArch: noarch

Source:  %name-%version.tar

%description
%summary.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc README.md CHANGES.txt LICENSE.txt
%_bindir/jp2dump
%_bindir/tiff2jp2
%python3_sitelibdir/%oname
%python3_sitelibdir/Glymur-%version.dist-info

%changelog
