%define mname gocept
%define oname %mname.testing

%def_with check

Name: python3-module-%oname
Version: 4.0
Release: alt1

Summary: A collection of test helpers, additional assertions, and the like
License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/gocept.testing/
VCS: https://github.com/gocept/gocept.testing

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

%description
This package collects various helpers for writing tests.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc LICENSE.txt *.rst
%python3_sitelibdir/%mname
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/%mname/*/tests


%changelog
