%define oname josepy

Name: python3-module-%oname
Version: 1.14.0
Release: alt2

Summary: JOSE protocol implementation in Python using cryptography

License: Apache-2.0
Group: Development/Python3
Url: https://github.com/certbot/josepy

# Source-url: %__pypi_url %oname
Source: %name-%version.tar
# https://github.com/certbot/josepy/pull/171
Patch: josepy-Fix-incorrect-include-declarations-with-Poetry.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.1.3
BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-poetry

%py3_provides %oname

%description
JOSE protocol implementation in Python using cryptography.

%prep
%setup
%autopatch -p1

%build
%pyproject_build

%install
%pyproject_install

rm -rf %buildroot%_bindir/

%check
#pyproject_run_pytest
# Make sure the script uses the expected python version
#grep -q python3 %buildroot%_bindir/jws

%files
%doc README*
%python3_sitelibdir/%oname/
%python3_sitelibdir/%{pyproject_distinfo %oname}/

%changelog
