%define oname jsonrpcserver

%def_with check

Name: python3-module-%oname
Version: 5.0.9
Release: alt1.1

Summary: JSON-RPC 2.0 server library

License: MIT
Group: Development/Python3
URL: https://pypi.org/project/jsonrpcserver
VCS: https://github.com/explodinglabs/jsonrpcserver

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-OSlash
BuildRequires: python3-module-jsonschema
%endif

%description
A JSON-RPC 2.0 server library for Python 3.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
rm -fR build
export PYTHONPATH=%buildroot%python3_sitelibdir
%pyproject_run_pytest

%files
%doc *.md
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
