%define _unpackaged_files_terminate_build 1
%define pypi_name PyJWT
%define mod_name jwt

%def_with check

Name: python3-module-%mod_name
Version: 2.8.0
Release: alt1
Summary: JSON Web Token implementation in Python
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/PyJWT/
Vcs: https://github.com/jpadilla/pyjwt
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
# mapping from PyPI name
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
Conflicts: python-module-%mod_name
Obsoletes: python-module-%mod_name
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra tests
%pyproject_builddeps_metadata_extra crypto
%endif

BuildRequires(pre): rpm-build-python3

%description
A Python implementation of RFC 7519.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore

%files
%doc README.*
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%pypi_name-%version.dist-info/

%changelog
