%define  modulename kubernetes-client

Name:     python3-module-%modulename
Version:  31.0.0
Release:  alt1

Summary:  Kubernetes Python Client
License:  Apache-2.0
Group:    Other
Url:      https://github.com/kubernetes-client/python
Vcs:      https://github.com/kubernetes-client/python.git
BuildArch:  noarch

Source:   %modulename-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%description
Python client for the kubernetes API.

%prep
%setup -n %modulename-%version

%build
%pyproject_build

%install
%pyproject_install
cp -pr kubernetes/test %buildroot%python3_sitelibdir/kubernetes/
cp -pr kubernetes/e2e_test %buildroot%python3_sitelibdir/kubernetes/

%files
%doc README.md LICENSE *.txt
%python3_sitelibdir/*

%changelog
