%define modulename linstor

Name: python3-module-%modulename
Summary: Linstor Python API
Version: 1.23.1
Release: alt1
Group: Development/Python3
License: GPLv3
URL: https://github.com/LINBIT/linstor-api-py
Source: http://www.linbit.com/downloads/linstor/python-%modulename-%version.tar.gz
Patch1: linstor-remove-distutils.patch
BuildArch: noarch
BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3-dev

%description
This library provides functions to access the Linstor controller
e.g.: add nodes, resources and query object status

%prep
%setup -n python-%modulename-%version
%patch1 -p1
make -C linstor-common cleanpython
make -C linstor-common python

%build
%pyproject_build

%install
%pyproject_install

%files
%doc README.md
%python3_sitelibdir/*

%changelog
