%define oname pymarkups
%def_without tests

Name:    python3-module-markups
Version: 4.0.0
Release: alt1.1
Summary: Wrapper around various text markups
License: MIT
Group:   Development/Python3
URL:     https://github.com/retext-project/pymarkups

Source0: %oname-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with tests
BuildRequires: python3-module-docutils
BuildRequires: python3-module-markdown
BuildRequires: python3-module-markdown-math
BuildRequires: python3-module-textile
%endif

BuildArch: noarch

%description
This module provides a wrapper around various text markup languages.

Available by default are Markdown, reStructuredText and Textile, but you
can easily add your own markups.

%prep
%setup -n %oname-%version

%build
%pyproject_build

%install
%pyproject_install

%check
%if_with tests
%tox_check_pyproject
%endif

%files
%doc README.rst
%python3_sitelibdir/markups
%python3_sitelibdir/Markups-%version.dist-info

%changelog
