%define oname mdit-plugins
%define mname mdit_py_plugins
%define pypi_name mdit-py-plugins

%def_with check

Name: python3-module-%oname
Version: 0.4.2
Release: alt1
Summary: Collection of core plugins for markdown-it-py 
License: MIT
Group: Development/Python3
URL: https://pypi.org/project/mdit-py-plugins
VCS: https://github.com/executablebooks/mdit-py-plugins

BuildArch: noarch

Source: %name-%version.tar
Source1: %pyproject_deps_config_name

Provides: python3-module-%pypi_name

BuildRequires(pre): rpm-build-pyproject

%pyproject_runtimedeps_metadata
%pyproject_builddeps_build

%if_with check
%pyproject_builddeps_metadata_extra testing
%pyproject_builddeps_metadata_extra linkify
%endif

%description
Collection of core plugins for markdown-it-py.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject
%pyproject_run_pytest -ra tests

%files
%doc LICENSE README.md
%python3_sitelibdir/%mname/
%python3_sitelibdir/%{pyproject_distinfo %mname}

%changelog
