%define _unpackaged_files_terminate_build 1

%define oname mockito
%def_with check

Name: python3-module-%oname
Version: 1.5.3
Release: alt1

Summary: Spying framework
License: MIT
Group: Development/Python3
URL: https://pypi.org/project/mockito
VCS: https://github.com/kaste/mockito-python
BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(hatchling)

%if_with check
BuildRequires: python3(numpy)
BuildRequires: python3(pytest)
BuildRequires: python3(tox)
BuildRequires: python3(tox_console_scripts)
%endif

%description
Mockito is a spying framework based on Java library with the same name.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc AUTHORS *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
