%define oname motor

# requires mockupdb
%def_without check

Name: python3-module-%oname
Version: 3.6.0
Release: alt1

Summary: Non-blocking MongoDB driver for Tornado

License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/motor
VCS: https://github.com/mongodb/motor

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-intro
BuildRequires: python3-module-hatchling
BuildRequires: python3-module-hatch-requirements-txt
BuildRequires: python3-module-tornado
BuildRequires: python3-module-pymongo python3-module-gridfs
BuildRequires: python3(aiohttp)

%py3_provides %oname
%py3_requires tornado pymongo gridfs

BuildArch: noarch

%description
Motor is a full-featured, non-blocking MongoDB driver for Python Tornado
applications.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
%python3_prune

%check
%tox_check_pyproject

%files
%doc LICENSE *.md
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
