%def_with check

Name: python3-module-mpd
Version: 3.1.1
Release: alt1

Summary: A client interface for the Music Player Daemon

Group: Development/Python3
License: LGPLv3+
URL: https://pypi.org/project/python-mpd2
VCS: https://github.com/Mic92/python-mpd2

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-coverage
BuildRequires: python3-module-twisted
%endif

BuildArch: noarch

%description
Python library providing a client interface for MPD.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc LICENSE.txt README.rst
%python3_sitelibdir/mpd
%python3_sitelibdir/python_mpd2-%version.dist-info

%changelog
