%define modname mygpoclient

Name: python3-module-%modname
Version: 1.9
Release: alt1

Summary: gpodder.net API Client Library for Python3
License: GPLv3+
Group: Development/Python3
Url: https://github.com/gpodder/%modname
#https://pypi.org/project/mygpoclient/

Vcs: https://github.com/gpodder/mygpoclient.git
#Source: %url/archive/%modname-%version.tar.gz
Source: https://pypi.io/packages/source/m/%modname/%modname-%version.tar.gz

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-distribute

%description
This Python 3 library provides an easy and structured way to access the
my.gpodder.org web services. In addition to subscription list
synchronization and storage, the advanced API support allows to upload
and download episode status changes.

%prep
%setup -n %modname-%version

%build
%python3_build

%install
%python3_install

%files
%_bindir/mygpo-bpsync
%_bindir/mygpo-list-devices
%_bindir/mygpo-simple-client
%python3_sitelibdir/*
%_man1dir/mygpo-bpsync.1.*
%doc AUTHORS README*


%changelog
