%define oname openpyxl

Name:    python3-module-%oname
Version: 3.1.3
Release: alt1

Summary: A Python library to read/write Excel 2010 xlsx/xlsm files

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/openpyxl

Source: %name-%version.tar

BuildArch: noarch

%py3_requires et_xmlfile
%py3_provides %oname

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%description
openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm files.

It was born from lack of existing library to read/write natively from
Python the Office Open XML format.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc LICENCE.rst README.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
