%define modulename ovirt-engine-sdk

Name: python3-module-%modulename
Summary: Python SDK for version 4 of the oVirt Engine API
Version: 4.6.2
Release: alt1
Group: Development/Python3
License: Apache-2.0
URL: http://ovirt.org
Source: %modulename-python-%version.tar.gz
BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: libxml2-devel

%description
This package contains the Python 3 SDK for version 4 of the oVirt Engine
API.


%prep
%setup -c -n %modulename-python-%version

%build
%pyproject_build

%install
%pyproject_install

%files
%doc README.adoc
%doc examples
%python3_sitelibdir/*

%changelog
