%define _unpackaged_files_terminate_build 1
%define pypi_name parse-type
%define mod_name parse_type

%def_with check

Name: python3-module-%mod_name
Version: 0.6.4
Release: alt1
Summary: Simplifies to build parse types based on the parse module
License: MIT
Group: Development/Python
Url: https://pypi.org/project/parse-type/
Vcs: https://github.com/jenisys/parse_type
BuildArch: noarch
Source: %name-%version.tar
Patch0: %name-%version-alt.patch
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
%summary.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile py.requirements/ci.github.testing.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra

%files
%doc README.*
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
