%define oname pivy
Name: python3-module-%oname
Version: 0.6.9
Release: alt1
Epoch: 2
Summary: Pivy is a Coin binding for Python
License: ISC
Group: Development/Python3
Url: https://github.com/coin3d/pivy
Packager: Andrey Cherepanov <cas@altlinux.org>

Source: %name-%version.tar
Patch1: pivy-0.6.6-0001-fix-CMakeLists.txt-for-distutils_cmake.patch
Patch2: pivy-0.6.6-0002-Gentoo-specific-clear-swig-deprecation-warning.patch

BuildRequires(pre): cmake
BuildRequires(pre): rpm-build-python3
BuildRequires(pre): qt6-base-devel
BuildRequires: gcc-c++
BuildRequires: libcoin3d-devel
BuildRequires: libsoqt-devel
BuildRequires: swig

%add_python3_req_skip pivy.qt pivy.qt.QtCore pivy.qt.QtGui pivy.qt.QtWidgets

%description
Pivy is a Coin binding for Python. Coin is a high-level 3D graphics
library with a C++ Application Programming Interface. Coin uses
scene-graph data structures to render real-time graphics suitable for
mostly all kinds of scientific and engineering visualization
applications.

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
#add_optflags -I%_includedir/qt4/Qt -fno-strict-aliasing
%ifarch %e2k
# error: "Qt requires a C++17 compiler"
%add_optflags -std=c++17
%endif
export PATH=%_qt6_bindir:$PATH
%python3_build_debug

%install
%python3_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/%oname \
	%buildroot%python3_sitelibdir_noarch/*.egg-info \
	%buildroot%python3_sitelibdir/
%endif

%files
%doc AUTHORS HACKING NEWS THANKS docs/*
%python3_sitelibdir/*

%changelog
