%define _unpackaged_files_terminate_build 1
%define pypi_name pkginfo
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 1.10.0
Release: alt1
Summary: Query metadatdata from sdists / bdists / installed packages
License: MIT
Group: Development/Python
Url: https://pypi.org/project/pkginfo/
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra testing
%endif

%description
This package provides an API for querying the distutils metadata written
in the PKG-INFO file inside a source distriubtion (an sdist) or a binary
distribution (e.g., created by running bdist_egg). It can also query the
EGG-INFO directory of an installed distribution, and the *.egg-info
stored in a "development checkout" (e.g, created by running setup.py
develop).

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

mv %buildroot%_bindir/pkginfo{,.py3}

%check
%pyproject_run_pytest -v

%files
%doc README.*
%_bindir/pkginfo.py3
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/
%exclude %python3_sitelibdir/%mod_name/tests

%changelog
