%define oname port-for

%def_with check

Name: python3-module-%oname
Version: 0.7.4
Release: alt1

Summary: Utility that helps with local TCP ports managment

License: MIT
Group: Development/Python3
URL: https://pypi.org/project/port-for
VCS: https://github.com/kmike/port-for

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-pytest-cov
%endif

BuildArch: noarch

%description
port-for is a command-line utility and a python library that helps with
local TCP ports management.

It can find an unused TCP localhost port and remember the association.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc LICENSE.txt *.rst
%_bindir/%oname
%python3_sitelibdir/port_for
%python3_sitelibdir/%{pyproject_distinfo port_for}

%changelog
