%define oname ptpython

Name: python3-module-%oname
Version: 3.0.29
Release: alt1
Summary: Python REPL build on top of prompt_toolkit
License: BSD-3-Clause
Group: Development/Python3
URL: https://pypi.org/project/ptpython
VCS: https://github.com/jonathanslenders/ptpython

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-prompt_toolkit
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-pygments

Provides: %oname = %version.%release
Provides: %{oname}3 = %version.%release
Obsoletes: %{oname}3 < %version.%release

%py3_requires  jedi

%description
ptpython is an advanced Python REPL built on top of the prompt_toolkit
library.

%package ipython
Group: Development/Python3
Summary: IPython addon for ptpython
Provides: %oname-ipython = %version.%release

%description ipython
%summary

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc LICENSE
%doc CHANGELOG *.rst
%doc examples
%_bindir/*
%exclude %_bindir/*ipython*
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-*dist-info
%exclude %python3_sitelibdir/%oname/*ipython*

%files ipython
%_bindir/*ipython*
%python3_sitelibdir/%oname/*ipython*

%changelog
