%define  modulename pyHanko

# Tests are broken, some of them need internet connection
%def_without check

Name:    python3-module-%modulename
Version: 0.25.3
Release: alt1

Summary: pyHanko: sign and stamp PDF files

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/pyHanko
VCS:     https://github.com/MatthiasValvekens/pyHanko

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-asn1crypto
BuildRequires: python3-module-pytz
BuildRequires: python3-module-aiohttp
BuildRequires: python3-module-freezegun
BuildRequires: python3-module-yaml
BuildRequires: python3-module-uharfbuzz
BuildRequires: python3-module-pyHanko-certvalidator
BuildRequires: python3-module-certomancer
BuildRequires: python3-module-qrcode
BuildRequires: python3-module-fonttools
BuildRequires: python3-module-Pillow
BuildRequires: python3-module-python-barcode
BuildRequires: python3-module-certomancer-csc-dummy
BuildRequires: python3-module-pkcs11
Buildrequires: python3-module-pytest-aiohttp
Buildrequires: python3-module-aiohttp-tests
Buildrequires: python3-module-defusedxml
Buildrequires: python3-module-pytest-asyncio
%endif

BuildArch: noarch

Source:  %name-%version.tar

%description
%summary

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
py.test-3

%files
%doc LICENSE *.md
%_bindir/pyhanko
%python3_sitelibdir/pyhanko
%python3_sitelibdir/%modulename-%version.dist-info

%changelog
