%define _unpackaged_files_terminate_build 1
%define oname pyaml

%def_with check

Name: python3-module-%oname
Version: 21.10.1
Release: alt2

Summary: PyYAML-based module to produce pretty and readable YAML-serialized data
License: WTFPL
Group: Development/Python3
Url: https://pypi.org/project/pyaml/
# https://github.com/mk-fg/pretty-yaml.git
BuildArch: noarch

Source0: %oname-%version.tar.gz

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
# install_requires=
BuildRequires: python3(yaml)

BuildRequires: python3(unidecode)

BuildRequires: python3(tox)
%endif

%description
PyYAML-based module to produce pretty and readable YAML-serialized data.

%prep
%setup -n %oname-%version

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc COPYING PKG-INFO README README.rst
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-%version.dist-info/
%exclude %python3_sitelibdir/*/tests

%changelog
