%define  oname pydyf
%def_with check

Name:    python3-module-%oname
Version: 0.11.0
Release: alt1

Summary: A low-level PDF creator

License: BSD-3-Clause
Group:   Development/Python3
URL:     https://pypi.org/project/pydyf
VCS:     https://github.com/CourtBouillon/pydyf

Source:  %name-%version.tar

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-flit

%if_with check
BuildRequires: python3-module-Pillow
BuildRequires: ghostscript
%endif

BuildArch: noarch

%description
%summary.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/*.dist-info

%changelog
