%define _unpackaged_files_terminate_build 1
%define oname pygeoif

%def_with check

Name: python3-module-%oname
Version: 1.5.0
Release: alt1

Summary: A basic implementation of the __geo_interface__
License: LGPLv2.1+
Group: Development/Python3
Url: https://pypi.org/project/pygeoif
Vcs: https://github.com/cleder/pygeoif.git
BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-typing_extensions
BuildRequires: python3-module-hypothesis
BuildRequires: python3-module-more-itertools
%endif

%py3_provides %oname


%description
PyGeoIf provides a GeoJSON-like protocol for geo-spatial (GIS) vector
data.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc README.*
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}

%changelog
