%define modulename pymysql

Name: python3-module-%modulename
Version: 1.1.1
Release: alt1

Summary: This pure Python MySQL client provides a DB-API to a MySQL database.

License: MIT
Group: Development/Python3
URL: https://pypi.org/project/PyMySQL
VCS: https://github.com/PyMySQL/PyMySQL

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%description
This pure Python MySQL client provides a DB-API to a MySQL database by
talking directly to the server via the binary client/server protocol.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc *.md example.py
%python3_sitelibdir/%modulename
%python3_sitelibdir/PyMySQL-%version.dist-info

%changelog
