%def_without check

%define modulename pynacl
Name: python3-module-pynacl
Version: 1.5.0
Release: alt1

Summary: Python binding to the Networking and Cryptography (NaCl) library

Url: https://github.com/pyca/pynacl
License: Apache-2.0
Group: Development/Python3

# Source-url: https://github.com/pyca/pynacl/archive/%version.tar.gz
Source: %modulename-%version.tar

BuildRequires:  libsodium-devel >= 1.0.16

BuildRequires(pre): rpm-build-python3 python3-module-wheel
BuildRequires: python3-module-cffi

%description
PyNaCl is a Python binding to the Networking and Cryptography library,
a crypto library with the stated goal of improving usability, security
and speed.

%prep
%setup -n %modulename-%version
# Remove bundled libsodium, to be sure
rm -vrf src/libsodium/

%build
export SODIUM_INSTALL=system
%python3_build

%install
%python3_install
# FIXME
mv %buildroot/%python3_sitelibdir/nacl/_sodium.abi3.so %buildroot/%python3_sitelibdir/nacl/_sodium.so

%files
%doc README.rst
%doc README.rst
%python3_sitelibdir/*

%changelog
