%define oname pyperf

%def_with check

Name: python3-module-%oname
Version: 2.8.1
Release: alt1

Summary: Python module to run and analyze benchmarks

License: MIT
Group: Development/Python3
URL: https://pypi.org/project/pyperf
VCS: https://github.com/vstinner/pyperf

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-psutil
BuildRequires: /proc
%endif

%description
The Python pyperf module is a toolkit to write, run and analyze benchmarks.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

rm -v %buildroot%python3_sitelibdir/pyperf/_win_memory.py
rm -rv %buildroot%python3_sitelibdir/pyperf/tests/

%check
%pyproject_run_pytest

%files
%_bindir/pyperf
%doc README.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
