%define _unpackaged_files_terminate_build 1
%define pypi_name pytest-enabler

%def_with check

Name: python3-module-%pypi_name
Version: 3.3.0
Release: alt1
Summary: Pytest plugin for configuration of another plugins
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pytest-enabler/
VCS: https://github.com/jaraco/pytest-enabler.git
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
%py3_provides %pypi_name
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
# really required in test_coverage_explicit
BuildRequires: python3-module-pytest-cov
%endif

%description
%pypi_name plugin allows configuration of Pytest plugins if present, but omits
the settings if the plugin is not present.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -vra -Wignore

%files
%doc README.rst
%python3_sitelibdir/pytest_enabler/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
