%define oname qrcode

%def_with check

Name: python3-module-%oname
Version: 8.0
Release: alt1

Summary: Python module to generate QR Codes

License: BSD-3-Clause
Group: Development/Python3
URL: https://pypi.org/project/qrcode
VCS: https://github.com/lincolnloop/python-qrcode

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
Buildrequires: python3-module-poetry-core

%if_with check
Buildrequires: python3-module-pytest
Buildrequires: python3-module-Pillow
Buildrequires: python3-module-typing_extensions
Buildrequires: python3-module-pypng
%endif

Conflicts: python-module-%oname
Obsoletes: python-module-%oname

%description
This module uses image libraries, Python Imaging Library (PIL) by default,
to generate QR Codes.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc README.rst LICENSE CHANGES.rst
%_bindir/qr
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
