%define _unpackaged_files_terminate_build 1
%define pypi_name rjsmin
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 1.2.3
Release: alt1
Summary: Javascript Minifier
License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/rjsmin/
Vcs: https://github.com/ndparker/rjsmin
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
rJSmin is a javascript minifier written in python.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile tests/requirements.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore tests

%files
%doc README.md
%python3_sitelibdir/_%mod_name.cpython-*.so
%python3_sitelibdir/%mod_name.py
%python3_sitelibdir/__pycache__/%mod_name.cpython-*.*
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
