Name: python3-module-ruamel-yaml
Version: 0.18.5
Release: alt1

Summary: is a YAML 1.2 loader/dumper package for Python

License: MIT
Group: Development/Python3
Url: https://pypi.org/project/ruamel.yaml

# Source-url: %%__pypi_url ruamel.yaml
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel >= 3.7
BuildRequires: python3-module-setuptools python3-module-wheel

BuildArch: noarch
%py3_provides ruamel
%add_python3_req_skip _ruamel_yaml

%description
ruamel.yaml is a YAML 1.2 parser/emitter
that supports roundtrip preservation of comments,
seq/map flow style, and map key order.

%prep
%setup

%build
%pyproject_build

%install
export RUAMEL_NO_PIP_INSTALL_CHECK="1"
%pyproject_install

%files
%doc LICENSE CHANGES README.md
%python3_sitelibdir/ruamel
%python3_sitelibdir/ruamel.yaml-%version.dist-info

%changelog
