%define _unpackaged_files_terminate_build 1
%define oname smmap
%define mod_name %oname

%def_with check

Name: python3-module-%oname
Version: 5.0.1
Release: alt2

Summary:  Sliding window memory map manager

License: BSD
Group: Development/Python3
Url: https://pypi.org/project/smmap

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-intro >= 2.2.4
# build backend and its deps
BuildRequires: python3-module-setuptools
%if_with check
BuildRequires: python3-module-pytest
%endif

%description
A pure python implementation of a sliding window memory map manager

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
A pure python implementation of a sliding window memory map manager

This package contains tests for %oname.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
%python3_prune

%check
# .github/workflows/pythonpackage.yml
%pyproject_run_pytest -vra

%files
%doc README.md
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %oname}/

%changelog
