%define _unpackaged_files_terminate_build 1
%define ns_root svg
%define pypi_name %ns_root.charts
%define mod_name charts

%def_with check

Name: python3-module-%pypi_name
Version: 7.3.1
Release: alt1

Summary: Python SVG Charting Library

License: MIT
Group: Development/Python3
Url: https://pypi.org/project/svg.charts/
Vcs: https://github.com/jaraco/svg.charts
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
Requires: python3-module-%ns_root-alt-namespace
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra testing
%endif

%description
svg.charts is a pure-python library for generating charts and graphs in
SVG, originally based on the SVG::Graph Ruby package by Sean E. Russel.

%prep
%setup
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -vra

%files
%python3_sitelibdir/%ns_root/%mod_name/
%python3_sitelibdir/%pypi_name-%version.dist-info/

%changelog
