Name: python3-module-telegram-bot
Version: 21.3
Release: alt1

Summary: Python interface for the Telegram Bot API
License: LGPLv3
Group: Development/Python
Url: https://pypi.org/project/python-telegram-bot/

Source0: %name-%version-%release.tar

BuildArch: noarch
BuildRequires: rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

BuildRequires: python3(pytest)
BuildRequires: python3(pytest-asyncio)
BuildRequires: python3(xdist)
BuildRequires: python3(flaky)

BuildRequires: python3(anyio)
BuildRequires: python3(cachetools)
BuildRequires: python3(h2)
BuildRequires: python3(httpx)
BuildRequires: python3(pytz)
BuildRequires: python3(socksio)
BuildRequires: python3(tornado)

%description
%summary

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
# some tests are online
%pyproject_run_pytest -n auto --dist=loadgroup -m no_req ||:

%files
%python3_sitelibdir/telegram
%python3_sitelibdir/python_telegram_bot-%version.dist-info

%changelog
