%define _unpackaged_files_terminate_build 1
%define pypi_name tempora

%def_with check

Name: python3-module-%pypi_name
Version: 5.7.0
Release: alt1
Summary: Objects and routines pertaining to date and time (tempora)
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/tempora/
VCS: https://github.com/jaraco/tempora
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
Objects and routines pertaining to date and time (tempora).

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra

%files
%_bindir/calc-prorate
%python3_sitelibdir/tempora/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
