%define _unpackaged_files_terminate_build 1
%define pypi_name testfixtures
%def_with check

Name: python3-module-%pypi_name
Version: 8.3.0
Release: alt1

Summary: A collection of helpers and mock objects for unit tests and doc tests
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/testfixtures
VCS: https://github.com/Simplistix/testfixtures
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
BuildRequires: python3-module-django-dbbackend-sqlite3
BuildRequires: python3-module-twisted-core-tests
%endif

%description
TestFixtures is a collection of helpers and mock objects that are useful
when writing unit tests or doc tests.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

# don't ship tests
rm -r %buildroot%python3_sitelibdir/testfixtures/tests/

%check
%pyproject_run_pytest -ra testfixtures/tests/

%files
%doc README.rst
%python3_sitelibdir/testfixtures/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
