%define  modulename trustme

Name:    python3-module-%modulename
Version: 1.2.0
Release: alt1

Summary: #1 quality TLS certs while you wait, for the discerning tester
License: Apache-2.0 or MIT
Group:   Development/Python3
URL:     https://github.com/python-trio/trustme

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-wheel
BuildRequires: python3-module-hatchling

BuildArch: noarch

Source:  %modulename-%version.tar

%description
trustme is a tiny Python package that does one thing: it gives you a
fake certificate authority (CA) that you can use to generate fake TLS
certs to use in your tests. Well, technically they're real certs,
they're just signed by your CA, which nobody trusts. But you can trust
it. Trust me.

%prep
%setup -n %modulename-%version

%build
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/%{modulename}*
%python3_sitelibdir/%{pyproject_distinfo %modulename}/

%changelog
