%define _unpackaged_files_terminate_build 1

%define pypi_name WebOb

%def_with check

Name: python3-module-webob
Version: 1.8.9
Release: alt1

Summary: WSGI request and response object
License: MIT
Group: System/Libraries
Url: https://pypi.org/project/WebOb
Vcs: https://github.com/Pylons/webob

Source0: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3(pytest)
%endif

%description
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses. The objects map much of the specified behavior of
HTTP, including header parsing and accessors for other standard parts of the
environment.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc README.rst
%python3_sitelibdir_noarch/webob/
%python3_sitelibdir_noarch/%pypi_name-%version.dist-info

%changelog
