%define oname WSGIProxy2

%def_with check

Name:    python3-module-wsgiproxy2
Version: 0.5.1
Release: alt2

Summary: WSGI Proxy that supports several HTTP backends

License: MIT
Group: Development/Python3
Url: https://pypi.org/project/WSGIProxy2/
Vcs: https://github.com/gawel/WSGIProxy2.git

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-webob
BuildRequires: python3-module-webtest
BuildRequires: python3-module-urllib3
BuildRequires: python3-module-requests
BuildRequires: python3-module-pytest
%endif

Provides: python3-module-%oname

%py3_provides wsgiproxy
Conflicts: python3-module-wsgiproxy

%description
A WSGI Proxy with various http client backends.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
%python3_prune

%check
%pyproject_run_pytest -v

%files
%doc *.rst COPYING
%python3_sitelibdir/wsgiproxy
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/*/test_*


%changelog
