%define oname xmlsec

%def_without check

Name: python3-module-%oname
Version: 1.3.14
Release: alt2

Summary: Python bindings for the XML Security Library

License: MIT
Group: Development/Python3
URL: https://pypi.org/project/xmlsec
VCS: https://github.com/mehcode/python-xmlsec

Source: %name-%version.tar
Patch: xmlsec-gcc14-support.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: libxmlsec1-openssl-devel
BuildRequires: python3-module-setuptools_scm
BuildRequires: python3-module-wheel
BuildRequires: python3-module-pkgconfig
BuildRequires: python3-module-lxml

%description
%summary.

%prep
%setup
%patch -p1

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%pyproject_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc README* LICENSE
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname.*.so
%python3_sitelibdir/%oname-%version.dist-info

%changelog
