%define  oname yappi

%def_with check

Name:    python3-module-%oname
Version: 1.6.10
Release: alt1

Summary: Yet Another Python Profiler, but this time support Multithread/CPU time profiling

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/yappi

Packager: Grigory Ustinov <grenka@altlinux.org>

Source:  %name-%version.tar

BuildRequires(pre): rpm-build-python3

Conflicts: python-module-%oname

%description
%summary.

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
export PATH=$PATH:%buildroot/usr/bin
export PYTHONPATH=%buildroot%python3_sitelibdir
%__python3 run_tests.py

%files
%doc README.md
%_bindir/yappi*
%python3_sitelibdir/*%{oname}*
%python3_sitelibdir/__pycache__/

%changelog
