%define _unpackaged_files_terminate_build 1
%define oname zExceptions

%def_with check

Name: python3-module-%oname
Version: 5.0
Release: alt1

Summary: zExceptions contains common exceptions used in Zope
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/zExceptions
Vcs: https://github.com/zopefoundation/zExceptions
BuildArch: noarch
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-zope.interface
BuildRequires: python3-module-zope.publisher
BuildRequires: python3-module-zope.testrunner
%endif

%description
zExceptions contains common exceptions and helper functions related to
exceptions as used in Zope.

%package tests
Summary: Tests for zExceptions
Group: Development/Python3
Requires: %name = %EVR

%description tests
zExceptions contains common exceptions and helper functions related to
exceptions as used in Zope.

This package contains tests for zExceptions.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run -- zope-testrunner --test-path=src -vc

%files
%doc README.*
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/%oname/tests

%files tests
%python3_sitelibdir/%oname/tests


%changelog
