Name: rack-plugin-freesurface
Version: 2.1.4
Release: alt1

Summary: Physical modeling system for Rack
License: GPLv3
Group: Sound
Url: https://github.com/freesurfacemodules/FreeSurface

ExclusiveArch: aarch64 x86_64

Source: %name-%version-%release.tar

BuildRequires: rack-devel

%description
Physical modeling system with a fully analog design

%prep
%setup

%build
%make_build RACK_DIR=%_datadir/rack/sdk

%install
make install RACK_DIR=%_datadir/rack/sdk \
     PLUGINS_DIR=%buildroot%_libdir/rack

%files
%doc README*
%_libdir/rack/*

%changelog
