Name:       rivalcfg
Version:    4.14.0
Release:    alt1

Summary:    Configure SteelSeries Rival gaming mice
License:    WTFPL
Group:      System/Configuration/Hardware
Url:        https://github.com/flozz/rivalcfg

Packager:   L.A. Kostis <lakostis@altlinux.org>
BuildArch:  noarch

Source0:    %name-%version.tar
Patch:      %name-%version-%release.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools python3-module-wheel

%description
rivalcfg is a small CLI utility program that allows you to configure
SteelSeries Rival gaming mice on Linux.

%prep
%setup
%patch -p1

sed -i 's|#!/usr/bin/env python|&3|' setup.py

%build
%pyproject_build

%install
%pyproject_install

mkdir -p %buildroot%_udevrulesdir
touch %buildroot%_udevrulesdir/99-steelseries-rival.rules

%post
%name --update-udev ||:

%files
%doc README* LICENSE* CHANGELOG.* doc/{env,faq}.rst
%_bindir/%name
%dir %python3_sitelibdir_noarch/%name
%python3_sitelibdir_noarch/%name
%exclude %python3_sitelibdir_noarch/%name-%{version}*
%ghost %_udevrulesdir/*.rules


%changelog
