Name: rpm-macros-branding
Version: 1.0.16
Release: alt1
Summary: RPM helper macros to build branding packages
License: %gpl2plus
Group: Development/Other
Source0: branding.rpm.macros
BuildArch: noarch

BuildRequires(pre): rpm-build-licenses

%description
%summary.

%build
cp %SOURCE0 branding.rpm.macros

VARIANTS="\
Platform6-server-light \
alt-desktop \
alt-education \
alt-platform-builder \
alt-server \
alt-server-v \
alt-sisyphus \
alt-spserver \
alt-spworkstation \
alt-spcontainer \
alt-starterkit \
alt-virtualization-pve \
alt-virtualization-one \
alt-workstation \
alt-tonk \
alt-mobile \
alt-mobile-sisyphus \
altlinux-backup-server \
altlinux-centaurus \
altlinux-desktop \
altlinux-gnome-desktop \
altlinux-kdesktop \
altlinux-lite \
altlinux-lxdesktop \
altlinux-office-desktop \
altlinux-office-server \
altlinux-p7 \
altlinux-school-server \
altlinux-sisyphus \
altlinux-spt \
altlinux-starterkit \
altlinux-tablet \
altlinux-workbench \
basealt-server \
basealt-starterkit \
basealt-workstation \
informika-schoolmaster \
ivk-chainmail \
lxde-desktop \
lxde-school-lite \
myoffice-plus \
school-junior \
school-lite \
school-master \
school-server \
school-teacher \
school-terminal \
simply-linux \
sisyphus-server-light \
xalt-kworkstation \
etersoft-ximper \
uzguard-server \
uzguard-workstation \
alt-container \
asman \
"
sed -e "s/@BRANDING_VARIANTS@/$VARIANTS/" -i branding.rpm.macros

%install
install -d -m 0755 %buildroot%_rpmmacrosdir
install -m 0644 branding.rpm.macros %buildroot%_rpmmacrosdir/branding

%files
%_rpmmacrosdir/*

%changelog
