Name: rpm-macros-uefi
Version: 0.7
Release: alt2

Summary: A set of RPM macros to help package UEFI related things
License: ALT-Public-Domain
Group: Development/Other

Url: http://www.altlinux.org/UEFI
# NB: it's *not* noarch due to %%_libdir in a macro

%define macrofile %_rpmmacrosdir/uefi

%package -n rpm-build-uefi
Summary: macros and tools to help package UEFI related things
Group: Development/Other
Requires: rpm-macros-uefi = %EVR
%ifnarch loongarch64
Requires: pesign
%endif

%description -n rpm-macros-uefi
This package carries helpful macros to package UEFI binaries.

%description -n rpm-build-uefi
This package carries the build environment and helpful macros
to package (and probably sign before that) UEFI binaries.

%prep

%build

%install
mkdir -p %buildroot%_rpmmacrosdir
cat > %buildroot%macrofile << EOF
%%_efi_bootdir /boot/efi
%%_efi_bindir %_libdir/efi
%%_efi_keydir %_sysconfdir/pki/uefi

%ifarch x86_64
%%_efi_arch x64
%endif
%ifarch %ix86
%%_efi_arch ia32
%endif
%ifarch aarch64
%%_efi_arch aa64
%endif
%ifarch loongarch64
%%_efi_arch loongarch64
%endif
EOF

%files -n rpm-macros-uefi
%macrofile

%files -n rpm-build-uefi

%changelog
