# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: scrot
Version: 1.11.1
Release: alt1

Summary: Screen-shot capture using Imlib 2
License: MIT-feh
Group: Graphical desktop/Other
Url: https://github.com/resurrecting-open-source-projects/scrot
Packager: Dmitriy Khanzhin <jinn@altlinux.org>

Source: %name-%version.tar

BuildRequires: autoconf-archive imlib2-devel libXcomposite-devel libXext-devel libXinerama-devel

%description
A nice and straightforward screen capture utility implementing the
dynamic loaders of imlib2.

%prep
%setup

%build
%autoreconf
%configure \
	--docdir=%_defaultdocdir/%name-%version
%make_build

%install
%makeinstall_std

%files
%_bindir/%name
%_man1dir/%name.1.*
%_defaultdocdir/%name-%version/

%changelog
