Name: startup-rescue
Version: 0.50
Release: alt1

Summary: The system startup scripts for rescue disk
License: GPL-2.0-or-later
Group: System/Base

Url: http://en.altlinux.org/rescue
Source: rescue-%version.tar

Requires(post): %post_service
Requires(preun): %preun_service
Requires: sfdisk console-vt-tools libshell system-report
Requires: livecd-rescue-utility = %EVR

# Optional requires
%ifarch %ix86 x86_64
Requires: dmidecode ddcprobe
%endif
Requires: altquire
Requires: agetty

Conflicts: startup-school-rescue startup-nanolive

%description
This package contains scripts used to boot your system from rescue disk.

%package -n livecd-rescue-utility
Summary: Rescue utility for livecd
Group: System/Base

%description -n livecd-rescue-utility
%summary.

%prep
%setup -n rescue-%version

%install
mkdir -p -- %buildroot{%_bindir,%_sbindir,%_initdir}

install -pm755 rescue-shell %buildroot%_bindir/
install -pm755 rescue-shell-show %buildroot%_bindir/
%ifarch %ix86 x86_64
install -pm755 fixmbr %buildroot%_sbindir/
%endif
install -pm755 find-fstab %buildroot%_sbindir/
install -pm755 mount-fstab mount-system unmount-system %buildroot%_sbindir/
install -pm644 inittab.rescue mdadm-ro.conf %buildroot/etc/
install -pm755 rc.sysinit.rescue %buildroot/etc/rc.d/
install -pm755 sysreport.init %buildroot%_initdir/sysreport
install -pm755 rescue-remote.init %buildroot%_initdir/rescue-remote

%post
%post_service rescue-remote

%preun
%preun_service rescue-remote

%files
/etc/mdadm-ro.conf
/etc/inittab.rescue
/etc/rc.d/rc.sysinit.rescue
%_initdir/sysreport
%_initdir/rescue-remote

%files -n livecd-rescue-utility
%_sbindir/*
%_bindir/*

%changelog
