Name: sunxi-tools
Version: 1.5
Release: alt0.20231025
Epoch: 1

Summary: Tools for use with Allwinner SoC based devices
License: GPLv2
Group: System/Kernel and hardware
Url: http://linux-sunxi.org

Source0: %name-%version-%release.tar
Source1: boards-%version-%release.tar

BuildRequires: libfdt-devel libusb-devel zlib-devel
BuildRequires: arm-none-eabi-gcc u-boot-tools >= 2023.10-alt2

%description
Tools to help hacking Allwinner SoC (aka sunxi) based devices.

%prep
%setup

%build
%make_build tools binfiles

%install
%make_install DESTDIR=%buildroot PREFIX=%prefix install
mkdir -p %buildroot%_datadir/sunxi-tools
cp -pv *.sunxi %buildroot%_datadir/sunxi-tools/
tar xf %SOURCE1 -C %buildroot%_datadir/sunxi-tools

%files
%doc README.md
%_bindir/*
%_datadir/sunxi-tools
%_man1dir/sunxi-fel.1*

%changelog
