Name:     system-monitoring-center 
Version:  2.26.0
Release:  alt2

Summary:  Multi-featured system monitor
License:  GPLv3+
Group:    Monitoring
Url:      https://github.com/hakandundar34coding/system-monitoring-center

BuildArch: noarch

# Source-url: https://github.com/hakandundar34coding/system-monitoring-center/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-meson rpm-build-python3 rpm-build-gir
BuildRequires: meson
BuildRequires: gtk4-update-icon-cache

%add_python3_path %_datadir/%name

%description
%summary

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %name

%files -f %name.lang
%doc README.md
%_bindir/%name
%_datadir/%{name}*
%_datadir/appdata/io.*.appdata.xml
%_iconsdir/*/*/*/*.svg
%_man1dir/*
%_desktopdir/*

%changelog
