# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name:     xdg-desktop-portal-lxqt
Version:  1.1.0
Release:  alt1

Summary:  A backend implementation for xdg-desktop-portal
License:  LGPL-2.1
Group:    Graphical desktop/Other
Url:      https://github.com/lxqt/xdg-desktop-portal-lxqt

Source:   %name-%version.tar
Patch:    %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: qt6-base-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: libgio-devel
BuildRequires: libfm-qt6-devel

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc *.md
%_prefix/libexec/xdg-desktop-portal-lxqt
%_desktopdir/org.freedesktop.impl.portal.desktop.lxqt.desktop
%_datadir/dbus-1/services/org.freedesktop.impl.portal.desktop.lxqt.service
%_datadir/xdg-desktop-portal/portals/lxqt.portal
%_datadir/xdg-desktop-portal/lxqt-portals.conf

%changelog
