Name: xfce4-weather-plugin
Version: 0.11.3
Release: alt1

Summary: Weather plugin for the Xfce panel
License: GPL-2.0+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/%name
Packager: Xfce Team <xfce@packages.altlinux.org>
Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-weather-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4util-devel libxfce4ui-gtk3-devel libxfce4panel-gtk3-devel >= 4.14
BuildRequires: libxfconf-devel
BuildRequires: libjson-c-devel
BuildRequires: libxml2-devel libsoup-devel libupower-devel

Requires: xfce4-panel >= 4.14

%define _unpackaged_files_terminate_build 1

%description
%name is the plugin for the Xfce panel, that display weather information
using forecast data provided by met.no.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --disable-static \
	--enable-maintainer-mode \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README AUTHORS NEWS
%_libdir/xfce4/panel/plugins/*
%_datadir/xfce4/weather
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/apps/*.*

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
