%define _unpackaged_files_terminate_build 1

# Use current date as version

Name:    appstream-data-generator
Version: 20241002
Release: alt1
Summary: Collection of tools for generation of appstream-data
Group:   System/Configuration/Packaging
License: GPLv3+

Source: %name-%version.tar

BuildRequires(pre): rpm-macros-cmake
BuildRequires(pre): rpm-build-python3
BuildRequires: gcc-c++ cmake
BuildRequires: boost-complete
BuildRequires: gettext

# /usr/bin/bsdtar
Requires: bsdtar
# /usr/bin/convert
Requires: ImageMagick-tools

%description
Collection of tools for generation of appstream-data

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

# Install localization files
%find_lang appstream-data

%files
%_bindir/*
%_datadir/locale/*/LC_MESSAGES/appstream-data.mo

%changelog
