Name:    cage
Version: 0.2.0
Release: alt2

Summary: A Wayland kiosk
License: MIT
Group:   Graphical desktop/Other
Url:     https://github.com/cage-kiosk/cage

Source: %name-%version.tar

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson
BuildRequires: scdoc
BuildRequires: pkgconfig(wlroots-0.18) >= 0.18.0
BuildRequires: pkgconfig(wayland-protocols) >= 1.14
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-icccm)

Requires: xorg-xwayland
Requires: seatd

%description
This is Cage, a Wayland kiosk. A kiosk runs a single, maximized application.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%_bindir/%name
%_man1dir/%name.1.*

%changelog
