%define _unpackaged_files_terminate_build 1
%define xdg_name space.rirusha.Cassette

Name: cassette
Version: 0.2.0
Release: alt2

Summary: GTK/Adwaita application that allows you to use Yandex Music service on Linux operating systems
License: GPL-3.0
Group: Sound
Url: https://gitlab.gnome.org/Rirusha/Cassette
VCS: https://gitlab.gnome.org/Rirusha/Cassette

Source0: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson cmake vala
BuildRequires: blueprint-compiler
BuildRequires: libgtk4-devel libadwaita-gir-devel libadwaita-devel
BuildRequires: libjson-glib-devel
BuildRequires: libsqlite3-devel
BuildRequires: libgee-devel libxml2-devel
BuildRequires: libgstreamer1.0-gir-devel libgio-devel
BuildRequires: libwebkitgtk6.0-devel

%description
%summary.

%prep
%setup
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %name

%files -f %name.lang
%doc README.md
%_bindir/cassette
%_datadir/glib-2.0/schemas/%xdg_name.gschema.xml
%_datadir/metainfo/%xdg_name.metainfo.xml
%_desktopdir/%xdg_name.desktop
%_iconsdir/hicolor/*/apps/*.svg

%changelog
