Name: deepin
Version: 5.0.4
Release: alt1
Summary: Set of Deepin Desktop installers
License: GPL-2.0+
Group: Graphical desktop/Other
Url: https://www.deepin.org

%description
A set of virtual packages for Deepin Desktop installation.

# deepin-desktop must be included in the meta-package,
# but it is not built on the specified architectures.
# ExcludeArch: ppc64le armh

# List of non-built packages:
# ppc64le
# Requires: deepin-file-manager deepin-desktop
# armh
# Requires: deepin-file-manager deepin-desktop
# Requires: deepin-movie

%package minimal
Summary: Minimal installation of Deepin Desktop
Summary(ru_RU.UTF8): Установка Deepin с минимальным набором программ
Group: Graphical desktop/Other
# BuildArch: noarch
ExcludeArch: ppc64le armh
Requires: kde5-profile
Requires: libgsettings-qt
Requires: deepin-dock
Requires: deepin-menu
Requires: deepin-desktop-base
Requires: deepin-session-ui
Requires: deepin-session-shell
Requires: deepin-session
Requires: deepin-api
%ifnarch ppc64le
Requires: deepin-daemon
%endif
Requires: deepin-control-center
Requires: deepin-qt5integration
Requires: deepin-qt5platform-plugins
# Requires: deepin-launcher
Requires: icon-theme-deepin
Requires: deepin-polkit-agent
Requires: startdde
Requires: deepin-kwin2
Requires: deepin-desktop-schemas
Requires: dtk5-common-schemas
Requires: gtk-theme-deepin
# Requires: fcitx-gtk3 fcitx-qt5
Requires: deepin-file-manager
Requires: deepin-desktop
Requires: deepin-app-services
Requires: deepin-network-core
Requires: deepin-shortcut-viewer
Requires: deepin-screensaver
Requires: deepin-screensaver-modules
Requires: deepin-clipboard
Requires: deepin-sound-theme
# Requires: deepin-fcitx5configtool-plugin
Requires: deepin-service-manager
Requires: deepin-application-manager
Requires: xdg-desktop-portal-dde
Requires: desktop-theme-deepin
Requires: deepin-wloutput-daemon
Requires: deepin-appearance

%description minimal
%name-minimal is a virtual package to provide minimal installation
of Deepin Desktop.

%package default
Summary: Default installation of Deepin Desktop
Summary(ru_RU.UTF8): Установка Deepin со стандартным набором программ
Group: Graphical desktop/Other
# BuildArch: noarch
ExcludeArch: ppc64le armh
Requires: %name-minimal = %version-%release
Requires: deepin-terminal
Requires: deepin-calendar
Requires: deepin-wallpapers
Requires: deepin-system-monitor
Requires: deepin-editor
%ifnarch armh ppc64le
Requires: deepin-image-viewer
%endif
Requires: deepin-printer
Requires: deepin-music
Requires: deepin-calculator
Requires: deepin-screen-recorder
Requires: deepin-draw
Requires: onboard
Requires: deepin-movie
Requires: deepin-manual
Requires: deepin-compressor
Requires: gvfs-backend-smb
Requires: deepin-picker
Requires: deepin-log-viewer
Requires: deepin-grand-search
Requires: deepin-account-faces
Requires: deepin-widgets

%description default
%name-default is a virtual package to provide default installation
of Deepin Desktop.

%package full
Summary: Full installation of Deepin Desktop
Summary(ru_RU.UTF8): Установка Deepin со всем доступным набором программ
Group: Graphical desktop/Other
# BuildArch: noarch
ExcludeArch: ppc64le armh
Requires: %name-default = %version-%release
#Requires: deepin-topbar
Requires: deepin-device-formatter
Requires: deepin-tweak
# Requires: redshift

%description full
%name-full is a virtual package to provide full installation
of Deepin Desktop.

%package regular
Summary: Virtual package for use in the regular-deepin distro
Group: Graphical desktop/Other
# BuildArch: noarch
ExcludeArch: ppc64le armh
Requires: %name-default = %version-%release
Requires: deepin-launchpad

%description regular
%summary.

%files minimal
%files default
%files full
%files regular

%changelog
