# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-golang
BuildRequires: rpm-build-golang
# END SourceDeps(oneline)
BuildRequires: libgudev-gir
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %_var
%global repo go-gir-generator

Name: deepin-gir-generator
Version: 3.0.4
Release: alt1

Summary: Generate static golang bindings for GObject

License: GPL-3.0+
Group: Other
Url: https://github.com/linuxdeepin/go-gir-generator

Source: %url/archive/%version/%repo-%version.tar.gz
Source1: gopath.tar
Source44: import.info

BuildArch: noarch

Provides: golang(gir/gobject-2.0)
Provides: golang(gir/gio-2.0)
Provides: golang(gir/glib-2.0)
Provides: golang(gir/gudev-1.0)

BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(gdk-3.0)

%description
Generate static golang bindings for GObject

%prep
%setup -n %repo-%version
# Unpacked vendor/ into the source (used .gear/tags).
tar -xf %SOURCE1
sed -i '/rm -rf/d' Makefile

%build
export GOPATH="$(pwd)/gopath:%go_path"
export GOFLAGS="-mod=vendor"
export GO111MODULE="off"
%make_build

%install
%makeinstall_std

%files
%doc README.md
%doc --no-dereference LICENSE
%go_path/src/github.com/linuxdeepin/go-gir/

%changelog
