Name: fnott
Version: 1.7.0
Release: alt1

Summary: Notification daemon for wlroots-based Wayland compositor
License: MIT
Group: Graphical desktop/Other
Url: https://codeberg.org/dnkl/fnott

Source: %name-%version-%release.tar

BuildRequires: meson scdoc
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(fcft) >= 3.0.0
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(systemd)
BuildRequires: pkgconfig(tllist)
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-cursor)

%description
keyboard driven and lightweight notification daemon for
wlroots-based Wayland compositors.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc %_defaultdocdir/fnott
%_sysconfdir/xdg/fnott
%_bindir/fnott
%_bindir/fnottctl
%_libexecdir/systemd/user/*.service
%_datadir/dbus-1/services/*.service
%_datadir/zsh/site-functions/_fnott*
%_desktopdir/fnott.desktop
%_man1dir/fnott.1*
%_man1dir/fnottctl.1*
%_man5dir/fnott.ini.5*

%changelog
