Name: gedit-plugin-source-code-browser
Version: 3.0.3
Release: alt6.git.4.g2a3b25d
Summary: source code class and function browser plugin for Gedit 3
License: BSD
Group: Editors
Url: https://github.com/toobaz/gedit-source-code-browser/

Source: https://github.com/heguangyu5/gedit-source-code-browser/archive/refs/heads/master.tar.gz#/%name-%version.tar
Source44: %name.watch

Obsoletes: gedit-source-code-browser < %EVR
Provides: gedit-source-code-browser

# Automatically added by buildreq on ...
BuildRequires: rpm-build-python3 time

Requires: gedit /usr/bin/ctags

%define gedit_pluginsdir %_libdir/gedit/plugins
%add_python3_path %gedit_pluginsdir

%description
This plugin will add a new tab to the side pane in the Gedit text editor which
shows symbols (functions, classes, variables, etc.) for the active document.
Clicking a symbol in the list wil jump to the line on which that symbol is
defined.

See the [ctags supported languages](http://ctags.sourceforge.net/languages.html)
for a list of the 41 programming languages supported by this plugin.

%prep
%setup
find -type d -name __pycache__ -exec rm -rf {} \;

%install
mkdir -p %buildroot%gedit_pluginsdir \
	%buildroot%_datadir/glib-2.0/schemas
cp -r sourcecodebrowser* %buildroot%gedit_pluginsdir/
install -m644 sourcecodebrowser/data/*.gschema.xml \
	%buildroot%_datadir/glib-2.0/schemas/

%files
%doc README*
%gedit_pluginsdir/*
%_datadir/glib-2.0/schemas/*

%changelog
