%define ver_major 47
%define beta %nil

Name: gnome-backgrounds
Version: %ver_major.0
Release: alt1%beta

Summary: A collection of GNOME backgrounds
License: GPLv2
Group: Graphical desktop/GNOME
Url: https://www.gnome.org
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version%beta.tar.xz

BuildArch: noarch

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson

%description
The gnome-backgrounds package contains images and tiles
to use for your desktop background which are packaged
with the GNOME desktop.

%prep
%setup -n %name-%version%beta

%build
%meson
%meson_build

%install
%meson_install
%find_lang --with-gnome %name

%files -f %name.lang
%_datadir/backgrounds/gnome/
%_datadir/gnome-background-properties/*.xml
%doc NEWS README*

%changelog
