%define _unpackaged_files_terminate_build 1
%define efidir altlinux

Name: gnu-efi
Version: 3.0.18
Release: alt2
Epoch: 1

Summary: Building EFI applications using the GNU toolchain
License: BSD-2-Clause AND BSD-2-Clause-Patent AND BSD-3-Clause AND BSD-4-Clause AND GPL-2.0-or-later AND GPL-2.0-only
Group: Development/Other

Url: http://gnu-efi.sourceforge.net/
VCS: https://git.code.sf.net/p/gnu-efi/code
Source: %name-%version.tar
Patch: %name-%version-%release.patch
ExclusiveArch: %ix86 x86_64 armh aarch64
Conflicts: gnu-efi-3.0r gnu-efi-3.0u gnu-efi-3.0.5

BuildRequires: gcc-c++

%description
GNU-EFI development environment allows to create EFI applications
for IA-64 and x86 platforms using the GNU toolchain.

%prep
%setup
%patch0 -p1

%build
%make
%make apps

%install
%make install INSTALLROOT=%buildroot PREFIX=%prefix LIBDIR=%_libdir

%files
%doc ChangeLog README.* apps
%_libdir/libefi.a
%_libdir/libgnuefi.a
%_libdir/crt0-efi-*.o
%_libdir/elf_*_efi.lds
%_libdir/gnuefi
%_includedir/efi
%_pkgconfigdir/gnu-efi.pc

%changelog
