Name: gyp
Version: 0.16.2
Release: alt1

Summary: A fork of the GYP build system for use in the Node.js projects
License: BSD
Group: Development/Tools

Url: https://github.com/nodejs/gyp-next.git

BuildArch: noarch

# Source-url: https://github.com/nodejs/gyp-next/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools python3-module-wheel
#BuildRequires: python3-devel >= 3.6

# it is a command, but a module
AutoProv:no

%description
A fork of the GYP build system for use in the Node.js projects.

GYP is a tool to generates native Visual Studio, Xcode and SCons and/or
make build files from a platform-independent input format. Its syntax
is a universal cross-platform build representation that still allows
sufficient per-platform flexibility to accommodate irreconcilable
differences.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
# these tests are missed on p10, use -f
rm -vf %buildroot/%python3_sitelibdir/%name/*_test.py
rm -vf %buildroot/%python3_sitelibdir/%name/generator/*_test.py

%files
%doc AUTHORS LICENSE README.md
%_bindir/%name
%python3_sitelibdir/%name
%python3_sitelibdir/*.dist-info

%changelog
