%define _name adwaita-icon-theme
%define ver_major 47
%define beta %nil

Name: icon-theme-adwaita
Version: %ver_major.0
Release: alt1%beta

Summary: Adwaita icon theme
License: CC-BY-SA-3.0 and LGPL-3.0
Group: Graphical desktop/GNOME
Url: http://www.gnome.org

BuildArch: noarch

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version%beta.tar.xz

Provides: %_name = %version-%release
Conflicts: gnome-theme-standard < 3.13.0

#Requires: %name-legacy
Requires: icon-naming-utils

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson icon-naming-utils gtk4-update-icon-cache %_bindir/gtk-encode-symbolic-svg

%description
Adwaita icon theme for GTK.

%prep
%setup -n %_name-%version%beta

%build
%meson
%meson_build

%install
%meson_install

%find_lang %_name

%files -f %_name.lang
%_iconsdir/Adwaita/
%_datadir/pkgconfig/%_name.pc
%doc AUTHORS NEWS COPYING

%changelog
