Name: interactivesystem
Version: sisyphus
Release: alt25
Epoch: 1

Summary: The skeleton package which defines an interactive %distribution system
License: GPLv2+
Group: System/Base
BuildArch: noarch

Requires: basesystem

Requires: console-common-scripts
Requires: crontabs
Requires: info
Requires: losetup
Requires: man
Requires: network-config-subsystem
Requires: passwd
Requires: sash
Requires: time
Requires: which

%package systemd
Summary: The skeleton package which defines an interactive %distribution system
Group: System/Base
Requires: %name = %epoch:%version-%release
Requires: systemd

%package sysv
Summary: The skeleton package which defines an interactive %distribution system
Group: System/Base
Requires: %name = %epoch:%version-%release
Requires: chkconfig
Requires: mingetty
Requires: stmpclean
Requires: sysvinit

%description
This package defines the components of an interactive %distribution system
(for example, the package installation order to use during bootstrapping).

This is a base package for interactivesystem.

%description systemd
This package defines the components of an interactive %distribution system
(for example, the package installation order to use during bootstrapping).

To implement some system functions, it pulls in tools from the systemd project.

%description sysv
This package defines the components of an interactive %distribution system
(for example, the package installation order to use during bootstrapping).

To implement some system functions, it pulls in tools to accompany the sysv rc,
making sure to avoid tools from the systemd project.

%files
%files systemd
%files sysv

%changelog
