# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: kicad-symbols
Summary: schematic symbol libraries for kicad (creation of electronic schematic diagrams)
Summary(ru_RU.UTF-8): Библиотеки электрических обозначений для kicad (разработка печатных плат)
Version: 8.0.6
Release: alt1
License: GPL-2.0-or-later
Group: Engineering
Url: https://gitlab.com/kicad/libraries/%name
# Source-url: https://gitlab.com/kicad/libraries/%name/-/archive/%version/%name-%version.tar.gz
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake gcc-c++

Requires: kicad-common >= %version

%description
Kicad is an open source (GPL) software for the creation of electronic
schematic diagrams and printed circuit board artwork.

%name is a set of schematic symbols library needed by kicad.

%description -l ru_RU.UTF-8
Kicad - это программное обеспечение с открытым исходным кодом для
проектирования электронных схем и получения на их основе печатных плат.

%name содержит в себе библиотеки с обозначения электронных компонентов
для kicad.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_datadir/kicad/symbols/
%_datadir/kicad/template/sym-lib-table

%changelog
