%define rname kqtquickcharts

Name: %rname
Version: 24.08.2
Release: alt1
%K5init

Group: Graphical desktop/KDE
Summary: Beautiful and interactive charts for Qt Quick
Url: http://www.kde.org
License: BSD-3-Clause

Requires: %name-common = %version-%release
Provides:  kde5-kqtquickcharts = %EVR
Obsoletes: kde5-kqtquickcharts < %EVR

Source: %rname-%version.tar

BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules qt5-base-devel qt5-declarative-devel

%description
Beautiful and interactive charts for Qt Quick.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides:  kde5-kqtquickcharts-common = %EVR
Obsoletes: kde5-kqtquickcharts-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common >= %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc COPYING*

%files
%_K5qml/org/kde/charts/

%files devel
%_K5inc/kqtquickcharts_version.h
%_libdir/cmake/KQtQuickCharts/


%changelog
