%define rname kreslimit
Name: kreslimit
Version: 2.0.0
Release: alt1

%K6init altplace

Group: Graphical desktop/KDE
Summary: Application resource limit configurator
License: GPL-2.0-or-later

Provides: kde5-kreslimit = %EVR
Obsoletes: kde5-kreslimit < %EVR

Source: %name-%version.tar

BuildRequires(pre): rpm-build-kf6
BuildRequires: extra-cmake-modules
BuildRequires: kf6-ki18n-devel kf6-kcmutils-devel kf6-kio-devel
BuildRequires: kf6-kdeclarative-devel

%description
Resource limit for launched applications

%prep
%setup 

%build
%K6cmake \
    -DLIBEXEC_INSTALL_DIR=%_K6exec \
    -DCMAKE_BUILD_TYPE=Debug \

%K6make

%install
%K6install

%find_lang %rname --with-kde --all-name

%files -f %rname.lang
%_K6plug/plasma/kcms/systemsettings/*.so
%_K6srv/*.desktop


%changelog
