Name: libfcft
Version: 3.1.9
Release: alt1

Summary: A small font loading and glyph rasterization library
License: MIT
Group: Graphical desktop/Other
Url: https://codeberg.org/dnkl/fcft

Source: %name-%version-%release.tar

BuildRequires: meson scdoc
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(tllist)
BuildRequires: pkgconfig(libutf8proc)

%package -n libfcft4
Summary: A small font loading and glyph rasterization library
Group: System/Libraries

%package devel
Summary: Development part of fcft
Group: Development/C

%define desc \
A small font loading and glyph rasterization library.

%description %desc

%description -n libfcft4 %desc
This package contains shared libfcft.

%description devel %desc
This package contains development part of libfcft.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%files -n libfcft4
%_libdir/libfcft.so.*

%files devel
%_includedir/fcft
%_libdir/libfcft.so
%_man3dir/fcft*
%_pkgconfigdir/fcft.pc
%doc %_defaultdocdir/fcft

%changelog
