Name: libffcall
Version: 2.4
Release: alt3

Summary: Foreign Function Call Libraries
License: GPLv2
Group: System/Libraries

Url: https://www.gnu.org/software/libffcall/
Source: %name-%version.tar
Patch: libffcall-2.4-e2k.patch
Patch1: libffcall-2.4-loongarch64.patch

%define desc This is a library which can be used to build foreign function\
call interfaces in embedded interpreters.

%package devel
Summary: Development headers for Foreign Function Call Libraries
Group: Development/C
Requires: %name = %version-%release

%description
%desc

%description devel
%desc
This package contains development headers for FFCall libraries

%prep
%setup
%ifarch %e2k
%patch -p1
%endif
%ifarch loongarch64
%patch1 -p1
%endif

%build
%ifarch armh
%define optflags_lto %nil
%endif
%configure --disable-static
make

%check
make check

%install
%makeinstall_std
rm -v %buildroot%_libdir/*.a

%files
%doc COPYING NEWS PLATFORMS README
%_libdir/*.so.*

%files devel
%doc */*.html
%_includedir/*
%_libdir/*.so
%_mandir/man?/*

%changelog
