Name: libgnutls-guile
Version: 4.0.0
Release: alt2

Summary: Guile bindings for the GnuTLS library
License: LGPLv2.1+ and GPLv3+
Group: System/Libraries
Url: https://gitlab.com/gnutls/guile
Vcs: https://gitlab.com/gnutls/guile.git
Source: guile-gnutls-%version.tar

BuildRequires: libgnutls-devel >= 3.8.0
BuildRequires: makeinfo
# Unfortunately we have different version
# on e2k and don't have guile-devel.
# See https://bugzilla.altlinux.org/34496
BuildRequires: guile22-devel
Obsoletes: libgnutls-new-guile < %version

%description
Guile-GnuTLS provides Guile bindings for the GnuTLS library.

%prep
%setup -n guile-gnutls-%version

%build
%autoreconf
%configure \
	--disable-rpath \
	--disable-static
%make_build

%install
%makeinstall_std

%set_verify_elf_method strict
%define _unpackaged_files_terminate_build 1

%files
%doc AUTHORS NEWS README.md
%_libdir/guile/*/extensions/guile*.so*
%_libdir/guile/*/site-ccache/*
%_datadir/guile/site/*/*
%doc %_infodir/*
%exclude %_libdir/guile/*/extensions/*.la

%changelog
