Name: libgpiod1
Version: 1.6.4
Release: alt2

Summary: Linux GPIO interacting library
License: LGPL-2.1
Group: System/Legacy libraries
Url: https://git.kernel.org/pub/scm/libs/libgpiod/libgpiod.git/

Source0: %name-%version-%release.tar

BuildRequires: autoconf-archive gcc-c++ help2man
BuildRequires: python3-devel python3-module-setuptools

%define desc C library and tools for interacting with the linux GPIO \
character device (gpiod stands for GPIO device).\
Since linux 4.8 the GPIO sysfs interface is deprecated. User space should use\
the character device instead. This library encapsulates the ioctl calls and\
data structures behind a straightforward API.

%description
%desc

%prep
%setup

%build
%autoreconf
%configure --disable-tools --disable-static

%make_build

%install
%makeinstall_std

%files
%doc COPYING README
%_libdir/libgpiod.so.*

%changelog
