Name: libnpupnp
Version: 6.2.0
Release: alt1

Summary: UPnP library derived from the pupnp
License: BSD
Group: System/Libraries
Url: https://framagit.org/medoc92/npupnp

Source: %name-%version-%release.tar

BuildRequires: gcc-c++ meson
BuildRequires: libcurl-devel libexpat-devel libmicrohttpd-devel

%package devel
Summary: Development libraries and header files for libupnp
Group: Development/C

%define desc \
npupnp (new pupnp or not pupnp ?) is an UPnP library derived from the \
venerable pupnp (https://github.com/pupnp/pupnp), based on its 1.6.x \
branch (around 1.6.25).

%description %desc

%description devel %desc
This package contains libraries and header files needed to develop
applications using libnpupnp.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%files
%_libdir/libnpupnp.so.*

%files devel
%doc README.md
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%changelog
