%define srcname pixman

Name: libpixman
Version: 0.44.0
Release: alt1
Epoch: 3
Summary: Pixel manipulation library
License: MIT
Group: System/Libraries
Url: http://xorg.freedesktop.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %srcname-%version.tar
Patch: %srcname-%version-%release.patch
Patch2000: %name-e2k.patch

BuildRequires(pre): meson
BuildRequires: libpng-devel

%description
Pixman is a pixel manipulation library for X and cairo

%package devel
Summary: Pixel manipulation library development package
Group: Development/C
Requires: %name = %epoch:%version-%release

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name

%prep
%setup -q -n %srcname-%version
%patch -p1
%ifarch %e2k
%patch2000 -p1
sed -i 's/timeout : 120/timeout : 600/' test/meson.build
%endif

%build
%meson
%meson_build -v

%check
%ifnarch armh %ix86
%__meson_test
%endif

%install
%meson_install

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
