# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-archiver
Version: 1.1.0
Release: alt1

Summary: A simple & lightweight desktop-agnostic Qt file archiver
License: GPL-2.0
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-archiver
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: qt6-base-devel qt6-tools-devel
BuildRequires: libfm-qt6-devel
BuildRequires: lxqt2-build-tools
BuildRequires: libgio-devel
BuildRequires: libjson-glib-devel

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_datadir/%name
%_iconsdir/hicolor/*/apps/*
%_desktopdir/%name.desktop
%doc AUTHORS CHANGELOG LICENSE README.md

%changelog
