# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-globalkeys
Version: 2.1.0
Release: alt1

Summary: Service used to register global keyboard shortcuts
License: LGPL-2.1
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-globalkeys
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: liblxqt-devel >= 2.0.0
BuildRequires: qt6-base-devel qt6-tools-devel
BuildRequires: rpm-build-xdg libqt6xdg-devel
BuildRequires: libqt6-widgets
BuildRequires: kf6-kwindowsystem-devel

Provides: razorqt-globalkeyshortcuts = %version
Obsoletes: razorqt-globalkeyshortcuts < 0.7.0

Conflicts: lxqt-common <= 0.11.0

%description
%summary.

%package devel
Summary: Development headers for %name
Group: Development/C++
Requires: %name = %EVR

%description devel
This package provides the development files for %name.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_libdir/*.so.*
%_xdgconfigdir/*/*
%_datadir/lxqt/translations/lxqt-config-globalkeyshortcuts/
%_datadir/lxqt/globalkeyshortcuts.conf
%_desktopdir/*.desktop
%doc AUTHORS CHANGELOG LICENSE README.md

%files devel
%_libdir/*.so
%_includedir/*/
%_pkgconfigdir/*.pc
%_datadir/cmake/*/

%changelog
