# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-policykit
Version: 2.1.0
Release: alt1

Summary: Policykit authentication agent
License: LGPL-2.1
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-policykit
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: liblxqt-devel >= 2.0.0
BuildRequires: qt6-base-devel qt6-tools-devel
BuildRequires: rpm-build-xdg
BuildRequires: libqt6xdg-devel
BuildRequires: libpolkit-devel
BuildRequires: libpolkitqt6-qt6-devel
BuildRequires: kf6-kwindowsystem-devel

Provides: razorqt-polkit-agent = %version
Obsoletes: razorqt-polkit-agent < 0.7.0

Conflicts: lxqt-common <= 0.11.0

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_datadir/lxqt/translations/*
%_man1dir/*
%_xdgconfigdir/*/*
%doc AUTHORS CHANGELOG LICENSE README.md

%changelog
