# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-powermanagement
Version: 2.1.0
Release: alt1

Summary: Powermanagement module for LXQt
License: LGPL-2.1
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-powermanagement
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: liblxqt-devel >= 2.0.0
BuildRequires: qt6-base-devel qt6-tools-devel qt6-svg-devel
BuildRequires: kf6-kwindowsystem-devel kf6-solid-devel kf6-kidletime-devel
BuildRequires: rpm-build-xdg libqt6xdg-devel
BuildRequires: lxqt-globalkeys-devel

Requires: upower

Provides: razorqt-autosuspend = %version
Obsoletes: razorqt-autosuspend < 0.7.0

Provides: razorqt-power = %version
Obsoletes: razorqt-power < 0.7.0

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_datadir/lxqt/translations/*
%_desktopdir/*.desktop
%doc AUTHORS CHANGELOG LICENSE README.md
%_iconsdir/*/*/*/*.svg
%_xdgconfigdir/*/*

%changelog
