# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-themes
Version: 2.1.0
Release: alt1

Summary: Themes, graphics and icons for LXQt
License: LGPL 2.1+ and 3.0, CC-BY-SA 3.0
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: lxqt2-build-tools

Provides: lxqt-common = %version
Obsoletes: lxqt-common < 0.12.0

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_datadir/lxqt/*
%_iconsdir/*/*/*/*
%doc AUTHORS CHANGELOG README.md

%changelog
