Name:         mapsoft2
Version:      2.8
Release:      alt1

Summary:      mapsoft2 - programs for working with maps and geodata
Group:        Sciences/Geosciences
Url:          https://slazav.github.io/mapsoft2/
Packager:     Vladislav Zavjalov <slazav@altlinux.org>
License:      GPL-3.0

Source:        %name-%version.tar

BuildRequires: gcc-c++ libgtkmm3-devel libcairomm-devel
BuildRequires: libjansson-devel libxml2-devel libzip-devel zlib-devel libproj-devel
BuildRequires: libjpeg-devel libgif-devel libtiff-devel libpng-devel libdb4.7-devel
BuildRequires: librsvg-devel libcurl-devel
BuildRequires: /usr/bin/pod2man /usr/bin/pod2html /usr/bin/unzip
BuildRequires: transfig ImageMagick-tools
%description
mapsoft2 - programs for working with maps and geodata

%package vmap-data
Summary: mapsoft-vmap-data - example of data and scripts for vector map handling
Group: Sciences/Geosciences
Requires: %name = %version-%release
BuildRequires: perl-Text-Iconv
BuildArch: noarch

%description vmap-data
Example of data, scripts, xfig libraries for vector map handling.


%prep
%setup -q

%build
tar -xvf modules.tar
export SKIP_IMG_DIFFS=1
%make

%install
%makeinstall initdir=%buildroot%_initdir

%files
%_bindir/ms2*
%_mandir/man1/ms2*
%_mandir/man5/mapsoft2*
%dir %_datadir/mapsoft2
%_datadir/mapsoft2/mapsoft2.css
%_datadir/mapsoft2/maps_menu.json

%files vmap-data
%_bindir/vmaps.sh
%_bindir/vmaps_get_fig
%_bindir/vmaps_in
%_bindir/vmaps_mbtiles
%_bindir/vmaps_out
%_bindir/vmaps_preview
%_bindir/vmaps_sqlitedb
%_bindir/vmaps_wp_parse
%_bindir/vmaps_wp_update
%_datadir/mapsoft2/render.cfg
%_datadir/mapsoft2/types.cfg
%_datadir/mapsoft2/pics
%_datadir/mapsoft2/typ.txt
%_datadir/mapsoft2/map_templ.htm
%_datadir/xfig/Libraries/*

%changelog
