%define rname miniupnpc
%define soversion 17

Name: %rname%soversion
Version: 2.3.3
Release: alt2

Summary: UPnP client library
License: BSD
Group: System/Legacy libraries

Url: http://miniupnp.free.fr/
Packager: Nazarov Denis <nenderus@altlinux.org>

# http://miniupnp.free.fr/files/%rname-%version.tar.gz
Source: %rname-%version.tar

BuildRequires: cmake

%description
The miniupnpc library implement the UPnP protocol defined
to dialog with Internet Gateway Devices.

%package -n lib%rname%soversion
Summary: UPnP client library
Group: System/Legacy libraries

%description -n lib%rname%soversion
The miniupnpc library implement the UPnP protocol defined
to dialog with Internet Gateway Devices.

%prep
%setup -n %rname-%version

%build
%cmake -DUPNPC_BUILD_STATIC:BOOL=FALSE
%cmake_build

%install
%cmakeinstall_std

%files -n lib%rname%soversion
%doc README
%_libdir/lib%rname.so.*

%changelog
