Name: mtd-utils
Version: 2.2.1
Release: alt1

Summary: Tools for maintaining Memory Technology Devices
License: GPLv2
Group: System/Kernel and hardware
Url: http://www.linux-mtd.infradead.org/

Source: %name-%version-%release.tar

BuildRequires: libacl-devel liblzo2-devel libssl-devel libuuid-devel libzstd-devel zlib-devel

%description
This package contains tools for erasing and formatting flash devices,
including JFFS2, M-Systems DiskOnChip devices, etc.

%prep
%setup

%build
%autoreconf
%configure
%make_build

%install
%makeinstall_std

%files
%doc COPYING
%_sbindir/*
%_libexecdir/mtd-utils
%_man1dir/mkfs.jffs2.*
%_man8dir/lsmtd.*
%_man8dir/ubinize.*

%changelog
