Name: neovim-qt
Version: 0.2.18
Release: alt1.git66f603d

Summary: Neovim client library and GUI, in Qt6

License: ISC
Group: Editors
Url: https://github.com/equalsraf/neovim-qt

Source: %name-%version-%release.tar

BuildRequires(pre): rpm-macros-cmake cmake
BuildRequires: gcc-c++
BuildRequires: qt6-base-devel
BuildRequires: libmsgpack-c-devel
BuildRequires: nvim
BuildRequires: qt6-svg-devel

Requires: %name-runtime = %EVR

ExcludeArch: armh

%description
Neovim client library and GUI, in Qt6.

%package runtime
Summary: Runtime files for Neovim Qt
Group: Editors
Requires: neovim

%description runtime
Runtime files for Neovim Qt.

%prep
%setup

%build
%cmake \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DNVIM_VERSION_RELEASE=%release \
	-DUSE_SYSTEM_MSGPACK=ON \
	-DWITH_QT=Qt6 \
	#
%cmake_build

%install
%cmake_install

%files
%doc README.md
%doc %_datadir/nvim-qt/LICENSE
%_bindir/nvim-qt
%_desktopdir/nvim-qt.desktop
%_iconsdir/hicolor/*/*/*.png
%_iconsdir/hicolor/*/*/*.svg

%files runtime
%doc %_datadir/nvim-qt/runtime/doc/*
%_datadir/nvim-qt/runtime/plugin/nvim_gui_shim.vim

%changelog
