%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%def_enable qsort

Name: nnn
Version: 5.0
Release: alt1

Summary: A full-featured terminal file manager
License: BSD-2-Clause and BSD-3-Clause
Group: File tools

Url: https://github.com/jarun/nnn
Vcs: https://github.com/jarun/nnn.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-licenses
BuildRequires: libreadline-devel libncurses-devel libncursesw-devel

Requires: icon-theme-hicolor

%description
Nnn (or n^3) is a full-featured terminal file manager.
It's tiny and nearly 0-config with an incredible performance.

%prep
%setup

%build
%make_build %{?_enable_qsort:O_QSORT=1}

%install
%make_install DESTDIR=%buildroot PREFIX=/usr install install-desktop
install -D -m644 misc/auto-completion/bash/nnn-completion.bash \
    %buildroot%_datadir/bash-completion/completions/%name

%files
%doc LICENSE README.md
%_bindir/*
%_man1dir/*
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/*
%dir %_datadir/bash-completion
%dir %_datadir/bash-completion/completions
%_datadir/bash-completion/completions/%name

%changelog
