%define libname lablgtk3
Name: ocaml-%libname
Version: 3.1.5
Release: alt1

Summary: Objective Caml interface to gtk+

License: LGPLv2.1 with OCaml-LGPL-linking-exception
Group: Development/ML
Url: https://github.com/garrigue/lablgtk
VCS: https://github.com/garrigue/lablgtk
Source: %name-%version.tar
BuildRequires:  ocaml dune
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  ocaml-cairo2-devel >= 0.6
BuildRequires:  ocaml-camlp-streams-devel >= 5.0
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-odoc
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)

%description
LablGTK is is an Objective Caml interface to gtk+.

It uses the rich type system of Objective Caml 3 to provide a strongly
typed, yet very comfortable, object-oriented interface to gtk+. This
is not that easy if you know the dynamic typing approach taken by
gtk+.

%package devel
Summary: Development files for %name
Group: Development/ML
Requires: %name = %EVR
Requires: pkgconfig(gtk+-3.0)

%description devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup

%build
%dune_build -p %libname

%install
%dune_install -p %libname

%check
%dune_check -p %libname

%files -f ocaml-files.runtime
%doc LICENSE

%files devel -f ocaml-files.devel
%_bindir/*
%_libdir/ocaml/%libname/*.h
%doc README.md CHANGES.md

%changelog
