%global import_path github.com/oras-project/oras
Name:    oras
Version: 1.2.0
Release: alt1

Summary: OCI registry client - managing content like artifacts, images, packages
License: Apache-2.0
Group:   Other
Url:     https://github.com/oras-project/oras

Packager: Mikhail Gordeev <obirvalger@altlinux.org>

Source: %name-%version.tar

BuildRequires(pre): rpm-build-golang
BuildRequires: golang

%description
%summary

%prep
%setup

%build
export BUILDDIR="$PWD/.build"
export IMPORT_PATH="%import_path"
export GOPATH="$BUILDDIR:%go_path"

%golang_prepare

cd .build/src/%import_path
export LDFLAGS="-X oras.land/oras/internal/version.BuildMetadata="
%golang_build cmd/oras

%install
export BUILDDIR="$PWD/.build"
export IGNORE_SOURCES=1

%golang_install

%files
%doc *.md
%_bindir/*

%changelog
