Name: pavucontrol
Version: 6.1
Release: alt1

Summary: PulseAudio Volume Control
Group: Sound
License: GPLv2
Url: https://freedesktop.org/software/pulseaudio/pavucontrol/

Source: %name-%version.tar

BuildRequires: gcc-c++ lynx meson
BuildRequires: pkgconfig(gtkmm-4.0)
BuildRequires: pkgconfig(sigc++-3.0)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libpulse-mainloop-glib)
BuildRequires: pkgconfig(json-glib-1.0)

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume
control tool ("mixer") for the Polypaudio sound server. In
contrast to classic mixer tools this one allows you to control both
the volume of hardware devices and of each playback stream seperately.

%define _customdocdir %_defaultdocdir/%name

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%find_lang %name

%files -f %name.lang
%_bindir/pavucontrol
%_datadir/metainfo/*.xml
%_datadir/doc/pavucontrol
%_desktopdir/*.desktop

%changelog
