# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name:     pavucontrol-qt
Version:  2.1.0
Release:  alt1

Summary:  A Pulseaudio mixer in Qt (port of pavucontrol)
License:  GPL-2.0-only
Group:    Sound
Url:      https://github.com/lxqt/pavucontrol-qt

Source:   %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake
BuildRequires: qt6-base-devel
BuildRequires: qt6-tools-devel
BuildRequires: lxqt2-build-tools
BuildRequires: glib2-devel libpcre-devel
BuildRequires: libpulseaudio-devel

%description
%summary.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%_desktopdir/*
%_datadir/%name
%doc AUTHORS CHANGELOG LICENSE *.md

%changelog
