%define oname PasteDeploy
%def_without bootstrap
%def_with check

Name: python3-module-%oname
Version: 3.1
Release: alt1
Epoch: 1

Summary: Load, configure, and compose WSGI applications and servers

License: MIT/X11
Group: Development/Python3
BuildArch: noarch
Url: https://github.com/Pylons/pastedeploy

Source: %name-%version.tar

%py3_provides %oname
%py3_requires Paste
%if_with bootstrap
%add_python3_req_skip paste.script.templates
%endif

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest-cov
%endif

%description
This tool provides code to load WSGI applications and servers from
URIs; these URIs can refer to Python Eggs for INI-style configuration
files. Paste Script provides commands to serve applications based on
this configuration file.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%python3_sitelibdir/paste/deploy
%python3_sitelibdir/%oname-%version.0.dist-info

%changelog
