Name: python3-module-Pillow
Version: 11.0.0
Release: alt1

Summary: Python Imaging Library
License: MIT-CMU
Group: Development/Python3
Url: https://pypi.python.org/pypi/pillow/

Provides: python3-module-pillow = %EVR

Source0: %name-%version-%release.tar


BuildRequires: rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(pytest)
BuildRequires: python3(pytest_timeout)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libopenjp2)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(imagequant)
BuildRequires: pkgconfig(libwebp)
BuildRequires: pkgconfig(libwebpmux)
BuildRequires: pkgconfig(xcb)

%description
Pillow is the friendly PIL fork by Alex Clark and Contributors.
PIL is the Python Imaging Library by Fredrik Lundh and Contributors.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest Tests

%add_python3_req_skip tkinter

%files
%doc *.rst docs/COPYING LICENSE *.md
%python3_sitelibdir/PIL
%python3_sitelibdir/pillow-%version.dist-info

%changelog
