%define  modulename aiofiles

Name:    python3-module-%modulename
Version: 23.1.0
Release: alt1

Summary: File support for asyncio
License: Apache-2.0
Group:   Development/Python3
URL:     https://github.com/Tinche/aiofiles
# Source-url: https://pypi.python.org/packages/source/a/aiofiles/aiofiles-%version.tar.gz

Packager: Anton Midyukov <antohami@altlinux.org>

BuildArch: noarch

Source:  %modulename-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(poetry-core)

%description
%summary

%prep
%setup -n %modulename-%version

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-module-%modulename
%python3_sitelibdir/%modulename
%python3_sitelibdir/%modulename-%version.dist-info
%doc *.rst LICENSE

%changelog
