Name: python3-module-av
Version: 13.0.0
Release: alt2

Summary: Python bindings for ffmpeg libraries
License: BSD
Group: Development/Python
Url: https://pypi.org/project/pyav/

Source0: %name-%version-%release.tar

BuildRequires: rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(Cython)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavdevice)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(libavfilter)
BuildRequires: pkgconfig(libswscale)
BuildRequires: pkgconfig(libswresample)

%description
%summary

%prep
%setup

%build
# support for ffmpeg 6.x isn't perfect
%add_optflags -Wno-incompatible-pointer-types -Wno-incompatible-function-pointer-types
%pyproject_build

%install
%pyproject_install

%files
%_bindir/pyav
%python3_sitelibdir/av
%python3_sitelibdir/av-%version.dist-info

%changelog
