%define _unpackaged_files_terminate_build 1
%define pypi_name cachetools

%def_with check

Name: python3-module-%pypi_name
Version: 5.5.0
Release: alt1
Summary: Extensible memoizing collections and decorators
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/cachetools
VCS: https://github.com/tkem/cachetools
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library @lru_cache function
decorator.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_tox tox.ini testenv
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore

%files
%doc README.*
%python3_sitelibdir/cachetools/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
