%define oname caldav

Name: python3-module-%oname
Version: 1.4.0
Release: alt1

Summary: A CalDAV (RFC4791) client library for Python

License: GPL-3.0-only
Group: Development/Python
Url: https://github.com/python-caldav/caldav/

Source: %oname-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-pyproject
BuildRequires: python3(setuptools)
BuildRequires: python3(build)
BuildRequires: python3(setuptools_scm)

%description
A CalDAV (RFC4791) client library for Python.

%prep
%setup -n %oname-%version

%build
%pyproject_scm_init %version
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-%version.dist-info/

%changelog
