%define oname cerberus

%def_with check

Name: python3-module-%oname
Version: 1.3.5
Release: alt1

Summary: Extensible validation for Python dictionaries

License: ISCL
Group: Development/Python3
URL: https://pypi.org/project/Cerberus
VCS: https://github.com/pyeve/cerberus

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname
%add_python3_req_skip cerberus.benchmarks.schemas.overalll_schema_2

%description
Cerberus is an ISC Licensed validation tool for Python dictionaries.

Cerberus provides type checking and other base functionality out of the
box and is designed to be non-blocking and easily extensible, allowing
for custom validation.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc AUTHORS LICENSE *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/Cerberus-%version.dist-info

%changelog
