%define _unpackaged_files_terminate_build 1
%define pypi_name python-daemon
%define mod_name daemon

%def_with check

Name: python3-module-%mod_name
Version: 3.1.0
Release: alt1
Summary: Library to implement a well-behaved Unix daemon process
License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/python-daemon/
Vcs: https://pagure.io/python-daemon/
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
A well-behaved Unix daemon process is tricky to get right, but the required
steps are much the same for every daemon program. A DaemonContext instance
holds the behaviour and configured process environment for the program; use the
instance as a context manager to enter a daemon state.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile pip-requirements/test.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest

%files
%doc ChangeLog README
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
