%define modname python-distutils-extra
%define pypi_name python_distutils_extra
%define ver_major 3.0

%def_disable check

Name: python3-module-distutils-extra
Version: %ver_major
Release: alt1

Summary: Integrate more support into Python's distutils
Group: Development/Python3
License: GPLv2+
Url: https://salsa.debian.org/python-team/packages/python-distutils-extra

Vcs: https://salsa.debian.org/python-team/packages/python-distutils-extra.git
Source: %modname-%version.tar

BuildArch: noarch
Requires: python3-module-setuptools >= 54.0

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(wheel) python3(setuptools)
%{?_enable_check:BuildRequires: /proc python3-module-pytest python3-module-httplib2
BuildRequires: python3-module-pygobject3 intltool python3-module-pyflakes}

%description
Enables you to easily integrate gettext support, themed icons and
documentation into Python's distutils.

%prep
%setup -n %modname-%version

%build
%pyproject_build

%install
%pyproject_install

chmod a+x %buildroot%python3_sitelibdir/DistUtilsExtra/command/build_extra.py

%check
#export PYTHONPATH=%buildroot%python3_sitelibdir
export PYTHONPATH=./
%__python3 -v test/auto.py
%_bindir/pyflakes-py3  DistUtilsExtra/ test/

%files
%python3_sitelibdir/DistUtilsExtra/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}
%doc doc/*


%changelog
