%define _unpackaged_files_terminate_build 1
%define oname django-filter

%def_with check

Name: python3-module-%oname
Version: 24.3
Release: alt1

Summary: A generic system for filtering Django QuerySets based on user selections
License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/django-filter
Vcs: https://github.com/carltongibson/django-filter

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-flit-core
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-django
BuildRequires: python3-module-pytz
BuildRequires: python3-module-djangorestframework
BuildRequires: python3-module-django-dbbackend-sqlite3
%endif

%description
Django-filter is a reusable Django application allowing users to declaratively
add dynamic QuerySet filtering from URL parameters.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run -- %__python3 runtests.py -v 2

%files
%doc README.*
%python3_sitelibdir/django_filters
%python3_sitelibdir/django_filter-%version.dist-info

%changelog
