Name: python3-module-elftools
Version: 0.31
Release: alt1.1

Summary: Pure-Python library for parsing and analyzing ELF files

License: Unlicense
Group: Development/Python3
URL: https://pypi.org/project/pyelftools
VCS: https://github.com/eliben/pyelftools

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%description
Pure-Python library for parsing and analyzing ELF files
and DWARF debugging information.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc CHANGES LICENSE README*
%_bindir/readelf.py
%python3_sitelibdir/elftools
%python3_sitelibdir/pyelftools-%version.dist-info

%changelog
