%define pypi_name evdev

Name: python3-module-%pypi_name
Version: 1.7.1
Release: alt1

Summary: Python3 bindings to the generic input event interface
Group: Development/Python3
License: BSD-3-Clause
Url: https://pypi.python.org/pypi/%pypi_name
Vcs: https://github.com/gvalkov/python-evdev.git

Source: https://pypi.io/packages/source/e/%pypi_name/%pypi_name-%version.tar.gz

BuildRequires(pre): rpm-build-python3
BuildRequires: glibc-kernheaders
BuildRequires: python3-devel python3(wheel) python3(setuptools)

%description
This package provides bindings to the generic input event interface in
Linux. The evdev interface serves the purpose of passing events generated
in the kernel directly to userspace through character devices that are
typically located in /dev/input/

%prep
%setup -n %pypi_name-%version

%build
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/%pypi_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}
%doc README*

%changelog
