%define _unpackaged_files_terminate_build 1
%define pypi_name Eve
%define pypi_nname eve
%define mod_name %pypi_nname

Name: python3-module-%pypi_nname
Version: 2.2.0
Release: alt1
Summary: Python REST API for Humans
License: BSD
Group: Development/Python3
Url: https://pypi.org/project/Eve/
Vcs: https://github.com/pyeve/eve
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%description
%pypi_name is an open source Python REST API framework designed for human beings. It
allows to effortlessly build and deploy highly customizable, fully featured
RESTful Web Services. Eve offers native support for MongoDB, and SQL backends
via community extensions.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
# requires running mongodb and redis

%files
%doc README.*
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%pypi_name-%version.dist-info/

%changelog
