%define _unpackaged_files_terminate_build 1
%define pypi_name executing
%define mod_name %pypi_name

%def_with check

Name: python3-module-executing
Version: 2.1.0
Release: alt2
Summary: Get the currently executing AST node of a frame, and other information
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/executing/
Vcs: https://github.com/alexmojaki/executing
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: executing-2.1.0-py3.12.6-fix.patch

%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra tests
%endif

%description
This mini-package lets you get information about
what a frame is currently doing, particularly the AST node being executed.

%prep
%setup
%patch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra tests

%files
%doc README.md
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
