%define _unpackaged_files_terminate_build 1
%define oname factory_boy
%define pypi_name factory-boy
%define mod_name factory

%def_with check

Name: python3-module-%oname
Version: 3.3.1
Release: alt1

Summary: A test fixtures replacement for Python
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/factory-boy/
Vcs: https://github.com/FactoryBoy/factory_boy
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
AutoReq: yes, nopython3
%pyproject_runtimedeps_metadata
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
BuildRequires: python3-module-django-dbbackend-sqlite3
%endif

%description
factory_boy is a fixtures replacement based on thoughtbot's
factory_girl.

As a fixtures replacement tool, it aims to replace static, hard to
maintain fixtures with easy-to-use factories for complex object.

%prep
%setup
%autopatch -p1

sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|' \
    $(find ./ -name '*.py')

%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest

%files
%doc README.*
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
