%define mname gocept
%define oname %mname.filestore

%def_with check

Name: python3-module-%oname
Version: 1.0
Release: alt1

Summary: Provides maildir like access to files
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/gocept.filestore/
Vcs: https://github.com/gocept/gocept.filestore

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-zope.deferredimport
BuildRequires: python3-module-zope.testrunner
%endif

%py3_provides %oname

%description
The filestore is an easy way to to process files with multiple processes
without needing locks.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR
%py3_requires zope.testing

%description tests
The filestore is an easy way to to process files with multiple processes
without needing locks.

This package contains tests for %oname.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%if "%_libexecdir" != "%_libdir"
mv %buildroot%_libexecdir %buildroot%_libdir
%endif

%check
%pyproject_run -- zope-testrunner --test-path=src -vc

%files
%doc *.txt README.md
%dir %python3_sitelibdir/%mname
%python3_sitelibdir/%mname/*
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/%mname/*/tests.*
%exclude %python3_sitelibdir/*.pth

%files tests
%python3_sitelibdir/%mname/*/tests.*


%changelog
