%define oname jsonrpcclient

%def_with check

Name: python3-module-%oname
Version: 4.0.3
Release: alt1

Summary: Generate JSON-RPC requests and parse responses in Python

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/jsonrpcclient/

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

BuildArch: noarch

%description
Generate JSON-RPC requests and parse responses in Python.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc *.md
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
