%define oname logbook

%def_without check

Name: python3-module-%oname
Version: 1.8.0
Release: alt1

Summary: A logging replacement for Python
License: BSD
Group: Development/Python3
URL: https://pypi.org/project/Logbook
VCS: https://github.com/mitsuhiko/logbook

Source: %name-%version.tar

BuildRequires(pre): rpm-macros-sphinx3 rpm-build-python3
BuildRequires: python3-module-Cython
BuildRequires: python3-module-notebook python3-module-setuptools
BuildRequires: python3-module-mock python3-module-brotlipy
BuildRequires: python3-module-sphinx


%description
An awesome logging implementation that is fun to use.

%package pickles
Summary: Pickles for %oname
Group: Development/Python3

%description pickles
An awesome logging implementation that is fun to use.

This package contains pickles for %oname.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
An awesome logging implementation that is fun to use.

This package contains documentation for %oname.

%prep
%setup

sed -i 's/sphinx-build/&-3/' docs/Makefile

%prepare_sphinx3 .
ln -s ../objects.inv docs/

%build
%python3_build

%install
%python3_install

export PYTHONPATH=%buildroot%python3_sitelibdir
%make -C docs pickle
%make -C docs html

cp -fR docs/_build/pickle %buildroot%python3_sitelibdir/%oname/

%check
py.test3

%files
%doc LICENSE AUTHORS CHANGES *.md
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/pickle

%files pickles
%python3_sitelibdir/*/pickle

%files docs
%doc docs/_build/html/*

%changelog
