%define modname Louie
%define pypi_name louie

%def_enable check

Name: python3-module-%pypi_name
Version: 2.0.1
Release: alt1

Summary: Dispatches signals between Python objects in a wide variety of contexts
License: BSD
Group: Development/Python3
Url: https://pylouie.org/

Source: https://cheeseshop.python.org/packages/source/L/%modname/%modname-%version.tar.gz

BuildArch: noarch

BuildPreReq: rpm-build-python3
BuildRequires: python3(wheel) python3(setuptools)
%{?_enable_check:BuildRequires: python3(pytest)}

%description
Louie provides Python programmers with a straightforward way to dispatch
signals between objects in a wide variety of contexts. It is based on
PyDispatcher, which in turn was based on a highly-rated recipe in the
Python Cookbook.

%prep
%setup -n %modname-%version

%build
%pyproject_build

%install
%pyproject_install

%check
PYTHONPATH=%buildroot%python3_sitelibdir_noarch
py.test3 %pypi_name/test

%files
%python3_sitelibdir/%pypi_name/
%python3_sitelibdir/%modname-%version.dist-info/
#%python3_sitelibdir/%{pyproject_distinfo %pypi_name}
%doc README*

%changelog
