%define oname nelsnmp

%def_with check

Name: python3-module-%oname
Version: 0.2.9
Release: alt2.1

Summary: A wrapper module for pysnmp

License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/nelsnmp
VCS: https://github.com/networklore/nelsnmp

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-pysnmp4

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-yaml
BuildRequires: python3-module-pyasyncore
%endif

%py3_provides %oname
Requires: python3-module-pysnmp4

%description
%summary.

%prep
%setup

# https://github.com/yaml/pyyaml/wiki/PyYAML-yaml.load(input)-Deprecation
sed -i 's/yaml.load/yaml.safe_load/' tests/test_device_versions.py

%build
%pyproject_build

%install
%pyproject_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
%pyproject_run_pytest

%files
%doc *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
