Name: python3-module-orjson
Version: 3.10.10
Release: alt1

Summary: Fast, correct JSON library for Python
License: Apache-2.0
Group: Development/Python
Url: https://pypi.org/project/orjson/

Source0: %name-%version.tar
Source1: crates.tar

BuildRequires: rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(maturin)
BuildRequires: python3(pytest)

%description
%summary

%prep
%setup
%ifdef bootstrap
cargo vendor
tar cf %SOURCE1 vendor
%else
tar xf %SOURCE1
%endif

%build
export CARGO_HOME=${PWD}/cargo
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest test

%files
%python3_sitelibdir/orjson
%python3_sitelibdir/orjson-%version.dist-info

%changelog
