%define _unpackaged_files_terminate_build 1
%define pypi_name protontricks
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 1.12.0
Release: alt1

Summary: Python package for %pypi_name
License: GPL-3.0
Group: Development/Python3
Url: https://pypi.org/project/protontricks/
Vcs: https://github.com/Matoking/protontricks

BuildArch: noarch

Source0: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
Requires: winetricks
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
%summary.

%package -n %pypi_name
Summary: A wrapper that does winetricks things for Proton enabled games
Group: File tools
Requires: winetricks

%description -n %pypi_name
%{summary %pypi_name}.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile requirements_dev.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

# do not ship desktop file installer
rm %buildroot%_bindir/protontricks-desktop-install

%check
%pyproject_run_pytest -vra

%files
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%files -n %pypi_name
%doc README.md CHANGELOG.md TROUBLESHOOTING.md
%_bindir/%{pypi_name}*
%_desktopdir/%{pypi_name}*

%changelog
