Group: Development/Python3
%define oldname pyaudio
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname pyaudio
%global sum Python bindings for PortAudio

Name:		python3-module-pyaudio
Version:	0.2.14
Release:	alt1
License:	MIT
Url:		http://people.csail.mit.edu/hubert/pyaudio/
Source0:	https://files.pythonhosted.org/packages/ab/42/b4f04721c5c5bfc196ce156b3c768998ef8c0ae3654ed29ea5020c749a6b/PyAudio-%version.tar.gz
Summary:	%{sum}

BuildRequires(pre): rpm-build-python3
BuildRequires:  gcc
BuildRequires:	libportaudio2-devel
BuildRequires:	python3-devel
BuildRequires:	python3-module-setuptools
BuildRequires:	python3-module-wheel
Source44: import.info

%description
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms.

%{?python_provide:%python_provide python3-%{srcname}}

%prep
%setup -q -n PyAudio-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files
%doc README.md CHANGELOG LICENSE.txt
%python3_sitelibdir/pyaudio
%python3_sitelibdir/PyAudio-%version.dist-info

%changelog
