%define oname pycurl
%define oversion %(echo %version | sed -e "s|\\.|_|g")

Name: python3-module-pycurl
Version: 7.45.3
Release: alt1

Summary: Python bindings to libcurl
License: LGPLv2.1 and MIT
Group: Development/Python3
Url: http://pycurl.io/

# Source-url: https://github.com/pycurl/pycurl/archive/REL_%oversion.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): libcurl
BuildRequires: libcurl-devel libgnutls-devel

Requires: python3 >= 3.5
Requires: libcurl >= %get_version libcurl

%description
This module provides the Python bindings to libcurl.

%prep
%setup

%build
%add_optflags -fno-strict-aliasing

%__python3 setup.py docstrings
%python3_build_debug

%install
%python3_install

%files
%_docdir/%oname/
%python3_sitelibdir/*

%changelog
