%define oname pyee

%def_with check

Name: python3-module-%oname
Version: 12.1.1
Release: alt1

Summary: A port of node.js's EventEmitter to python

License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pyee
Vcs: https://github.com/jfhbrook/pyee

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-typing_extensions
BuildRequires: python3-module-pytest-asyncio
BuildRequires: python3-module-twisted-core
BuildRequires: python3-module-pytest-trio
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

BuildArch: noarch

%description
pyee supplies an event_emitter object that acts similar to the
EventEmitter that comes with node.js.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc LICENSE *.md
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}

%changelog
