Name: python3-module-pykcs11
Version: 1.5.17
Release: alt1

Summary: A complete PKCS#11 wrapper for Python

Group: Development/Python3
License: GPLv2
URL: https://pypi.org/project/PyKCS11
VCS: https://github.com/LudovicRousseau/PyKCS11

Source: %name-%version.tar

BuildRequires: gcc-c++ swig
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%description
A complete PKCS#11 wrapper for Python. You can use any PKCS#11 (aka CryptoKi)
module such as the PSM which comes as part of mozilla or the various modules
supplied by vendors of hardware crypto tokens, and almost all PKCS#11 functions
and data types. The wrapper has been generated with the help of the SWIG
compiler.

%package docs
Summary: A complete PKCS#11 wrapper for Python
Group: Development/Documentation

%description docs
A complete PKCS#11 wrapper for Python. You can use any PKCS#11 (aka CryptoKi)
module such as the PSM which comes as part of mozilla or the various modules
supplied by vendors of hardware crypto tokens, and almost all PKCS#11 functions
and data types. The wrapper has been generated with the help of the SWIG
compiler.

This package contains documentation.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/PyKCS11
%python3_sitelibdir/PyKCS11-%version.dist-info

%files docs
%doc README.md samples/

%changelog
