%define _unpackaged_files_terminate_build 1
%define oname rq

%def_without check

Name: python3-module-%oname
Version: 1.15.1
Release: alt1

Summary: Simple job queues for Python
License: BSD
Group: Development/Python3
Url: https://pypi.python.org/pypi/rq/
BuildArch: noarch

# Source-url: https://pypi.io/packages/source/r/%oname/%oname-%version.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%py3_provides %oname

%description
RQ is a simple, lightweight, library for creating background jobs, and
processing them.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%__python3 setup.py test

%files
%doc *.md
%_bindir/rq
%_bindir/rqinfo
%_bindir/rqworker
%python3_sitelibdir/%oname/
%python3_sitelibdir/%{pyproject_distinfo %oname}/

%changelog
