%define pypi_name setuptools-rust
%define modname setuptools_rust

Name: python3-module-%modname
Version: 1.10.2
Release: alt1

Summary: Setuptools helpers for rust Python extensions.

License: MIT
Group: Development/Python3
Url: https://github.com/PyO3/setuptools-rust

Packager: Vladimir Didenko <cow@altlinux.org>

Source: %name-%version.tar
BuildArch: noarch
# mapping from PyPI name
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
# delayed import
Requires: python3-module-semantic-version
BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%description
Compile and distribute Python extensions written in rust as easily as if they
were written in C.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/%modname/
%python3_sitelibdir/%{pyproject_distinfo %modname}

%changelog
