%define modname sphobjinv
# network required
%def_disable check

Name: python3-module-%modname
Version: 2.3.1.1
Release: alt1

Summary: Sphinx objects.inv Inspection/Manipulation Tool
Group: Development/Python3
License: MIT
Url: https://pypi.org/project/%modname

Vcs: https://github.com/bskinn/sphobjinv.git
#Source: https://pypi.io/packages/source/s/%modname/%modname-%version.tar.gz
Source: https://github.com/bskinn/%modname/archive/v%version/%modname-%version.tar.gz

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-wheel python3-module-setuptools
%{?_enable_check:BuildRequires: python3-module-tox python3(sphinx) python3(stdio_mgr)
BuildRequires: python3(dictdiffer) python3(jsonschema)}

%description
%summary

%prep
%setup -n %modname-%version

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check

%files
%_bindir/*
%python3_sitelibdir_noarch/*
%doc README* CHANGELOG*


%changelog
