%define _unpackaged_files_terminate_build 1
%define pypi_name taskiq-fastapi
%define mod_name taskiq_fastapi

Name: python3-module-%pypi_name
Version: 0.3.2
Release: alt1

Summary: FastAPI integration for taskiq
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/taskiq-fastapi/
Vcs: https://github.com/taskiq-python/taskiq-fastapi

BuildArch: noarch

Source0: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%description
%summary.

%prep
%setup
%autopatch -p1

# set version manually, not via poetry
sed -i '/^version =/s/.*/version="%version"/' pyproject.toml

%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%files
%doc LICENSE README.md
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
