%define oname tweepy

Name:    python3-module-%oname
Version: 4.14.0
Release: alt1

Summary: Twitter library for python

License: MIT
Group:   Development/Python3
URL:     https://pypi.org/project/tweepy
VCS:     https://github.com/tweepy/tweepy

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

Provides: tweepy = %version

%description
A library for accessing the Twitter.com API. Supports OAuth, covers the
entire API, and streaming API.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

rm -rf %buildroot%python3_sitelibdir/examples

%files
%doc *.md
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}

%changelog
