%define oname unicodedata2

Name: python3-module-%oname
Version: 15.1.0
Release: alt1

Summary: Unicodedata backport for python 2 updated to the latest unicode version
License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/unicodedata2
VCS: https://github.com/fonttools/unicodedata2

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%description
The versions of this package match unicode versions, so
unicodedata2==7.0.0 is data from unicode 7.0.0. Additionally this
backports support for named aliases and named sequences to python2.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc LICENSE *.md
%python3_sitelibdir/unicodedata2-%version.dist-info
%python3_sitelibdir/unicodedata2.cpython*.so

%changelog
