%define _unpackaged_files_terminate_build 1
%define pypi_name vcrpy
%define mod_name vcr

%def_with check

Name: python3-module-%pypi_name
Version: 6.0.2
Release: alt1
Summary: Automatically mock your HTTP interactions to simplify and speed up testing
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/vcrpy/
Vcs: https://github.com/kevin1024/vcrpy
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra tests
%endif

%description
Automatically mock your HTTP interactions to simplify and speed up
testing.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
export REQUESTS_CA_BUNDLE=`python3 -m pytest_httpbin.certs`
# TODO: integrations tests are failing atm, need some investigation
%pyproject_run_pytest -ra -m 'not online' tests/unit/

%files
%doc README.rst
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
