%define _unpackaged_files_terminate_build 1
%define oname xmltodict

%def_with check

Name: python3-module-%oname
Version: 0.14.2
Release: alt1

Summary: Makes working with XML feel like you are working with JSON

License: MIT
Group: Development/Python3
Url: https://pypi.org/project/xmltodict
Vcs: https://github.com/martinblech/xmltodict

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%py3_provides %oname

%description
xmltodict is a Python module that makes working with XML feel like you
are working with JSON.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest discover -v tests/

%files
%doc *.md
%python3_sitelibdir/*

%changelog
