Name: python3-module-yarl
Version: 1.17.1
Release: alt1

Summary: Yet another URL library
License: Apache-2.0
Group: Development/Python
Url: https://github.com/aio-libs/yarl

Source0: %name-%version-%release.tar

BuildRequires(pre): rpm-build-pyproject
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(cython)
BuildRequires: python3(expandvars)
BuildRequires: python3(pytest)
BuildRequires: python3(pytest_cov)
BuildRequires: python3(pytest_codspeed)
BuildRequires: python3(idna)
BuildRequires: python3(multidict)
BuildRequires: python3(propcache)
BuildRequires: python3(hypothesis)

%description
The module provides handy URL class for url parsing and changing.
See http://yarl.readthedocs.io for more

%prep
%setup

%build
python3 -mcython -3 -o yarl/_quoting_c.c yarl/_quoting_c.pyx
%pyproject_build

%install
%pyproject_install

%check
export YARL_NO_EXTENSIONS=1
%pyproject_run_pytest -m "not hypothesis" --no-cov tests

%files
%python3_sitelibdir/yarl
%python3_sitelibdir/yarl-%version.dist-info

%changelog
