Name: python3-module-zeroconf
Version: 0.136.0
Release: alt1

Summary: Python Multicast DNS Service Discovery Library
License: LGPLv2
Group: Development/Python
Url: https://pypi.org/project/zeroconf/

Source0: %name-%version-%release.tar

BuildRequires: rpm-build-python3 
BuildRequires: python3(poetry-core)
BuildRequires: python3(setuptools)
BuildRequires: python3(cython)

BuildRequires: python3(pytest)
BuildRequires: python3(pytest-cov)
BuildRequires: python3(pytest-asyncio)
BuildRequires: python3(pytest_timeout)
BuildRequires: python3(ifaddr)

%description
%summary

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
export SKIP_IPV6=1
%pyproject_run_pytest

%files
%python3_sitelibdir/zeroconf
%python3_sitelibdir/zeroconf-%version.dist-info

%changelog
