%define _unpackaged_files_terminate_build 1
%define pypi_name zipp

%def_with check

Name: python3-module-%pypi_name
Version: 3.21.0
Release: alt1

Summary: A pathlib-compatible Zipfile object wrapper

License: MIT
Group: Development/Python3
Url: https://pypi.org/project/zipp/
VCS: https://github.com/jaraco/zipp.git

BuildArch: noarch

Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
A pathlib-compatible Zipfile object wrapper.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra --ignore-flaky

%files
%doc README.rst
%python3_sitelibdir/zipp/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
