%define _unpackaged_files_terminate_build 1
%define oname zope.tales

%def_with check

Name: python3-module-%oname
Version: 6.0
Release: alt1

Summary: Zope Template Application Language Expression Syntax (TALES)
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/zope.tales
VCS: https://github.com/zopefoundation/zope.tales.git

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-zope.interface
BuildRequires: python3-module-zope.testrunner
BuildRequires: python3-module-zope.testing
%endif

%description
Template Attribute Language - Expression Syntax.

%package tests
Summary: Tests for zope.tales
Group: Development/Python3
Requires: %name = %EVR
%py3_requires zope.testrunner

%description tests
This package contains tests for %oname

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
%tox_check_pyproject

%files
%doc *.txt *.rst
%python3_sitelibdir/zope
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests

%files tests
%python3_sitelibdir/*/*/tests


%changelog
