Name:     qtxdg-tools
Version:  4.1.0
Release:  alt1

Summary:  libqtxdg user tools
License:  LGPL-2.1
Group:    Graphical desktop/Other
Url:      https://github.com/lxqt/qtxdg-tools

Source:   %name-%version.tar
Patch:    %name-%version-%release.patch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ cmake
BuildRequires: lxqt2-build-tools
BuildRequires: qt6-base-devel
BuildRequires: libqt6xdg-devel

Requires: libqt6xdg >= %version
Obsoletes: qtxdg-mat <= %version

%description
%summary.

%package devel
Summary: cmake modules for %name
Group: Development/Other
Requires: %name = %EVR

%description devel
cmake modules for %name.

%prep
%setup
%patch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%_bindir/*
%doc *.md

%files devel
%_datadir/cmake/%name

%changelog
