Name: rtl_433
Version: 24.10
Release: alt1

Summary: Generic radio data receiver
License: GPLv2
Group: Communications
Url: https://github.com/merbanan/rtl_433

Provides: rtl_433-devel = %version-%release
Obsoletes: rtl_433-devel

Source: %name-%version-%release.tar

BuildRequires: cmake libssl-devel libusb-devel rtl-sdr-devel

%description
%name (despite the name) is a generic data receiver, mainly
for the 433.92 MHz, 868 MHz (SRD), 315 MHz, and 915 MHz ISM bands.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std
touch %buildroot%_sysconfdir/rtl_433/rtl_433.conf

%files
%doc AUTHORS COPYING *.md docs/*.md
%dir %_sysconfdir/rtl_433
%config(noreplace) %_sysconfdir/rtl_433/*.conf

%_bindir/rtl_433
%_man1dir/rtl_433.1*
%_includedir/rtl_433*.h

%changelog
