Name: rust-bindgen
Version: 0.70.1
Release: alt1

Summary: Automatically generates Rust FFI bindings to C (and some C++) libraries
License: BSD-3-Clause
Group: Development/Other
Url: https://github.com/rust-lang/rust-bindgen

Source0: %name-%version.tar
Source1: vendor.tar

BuildRequires(pre): rpm-build-rust
BuildRequires: /proc

%description
%summary

%prep
%setup
%ifdef bootstrap
cargo vendor
tar cf %SOURCE1 vendor
%else
tar xf %SOURCE1
%endif

%build
mkdir -p .cargo
cat >> .cargo/config <<EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"

[profile.release]
strip = "none"
lto= "thin"
debug = "full"
EOF

%rust_build

%install
mkdir -p %buildroot%_bindir
install -Dm0755 target/release/bindgen %buildroot%_bindir/

%files
%doc LICENSE README.md CHANGELOG.md CONTRIBUTING.md
%_bindir/bindgen

%changelog
