%define _unpackaged_files_terminate_build 1

Name: usbutils
Version: 018
Release: alt1

Summary: Linux USB utilities
License: GPL-2.0-or-later
Group: System/Kernel and hardware

Url: http://sourceforge.net/projects/linux-usb/
Vcs: https://github.com/gregkh/usbutils.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson >= 0.60.0
BuildRequires: pkgconfig(libusb-1.0) >= 1.0.22
BuildRequires: pkgconfig(libudev) >= 196

%description
usbutils contains an utility (lsusb) for inspecting devices connected to
the USB bus.

%prep
%setup
%patch -p1

%build
%meson
%meson_build

%install
%meson_install
rm -f %buildroot%_bindir/lsusb.py
rm -f %buildroot%_pkgconfigdir/*.pc

%files
%_bindir/*
%_man1dir/*
%_man8dir/*
%doc NEWS README.md

%changelog
